library(nlme);library(lmeresampler)
library(lme4);library(lmerTest)
library(boot);library(Rfit)
library(MuMIn);library(ggplot2)
library(grid);library(gridExtra)
library(gtable);library(plyr)
library(dplyr);library(data.table)
library(MuMIn);options(na.action = "na.fail")
library(glmnet);library(glmnetUtils)
library(Hmisc)
library(spdep);library(SoDA);library(ape)
library(spaMM)

#Mid
load("fitme_Year_Grow_Shann_sc_HossfeldSI.R")
load("fitme_Year_Grow_Sarea_sc_HossfeldSI.R")
load("fitme_Year_Grow_Sorg_sc_HossfeldSI.R")
load("fitme_Year_Grow_sc_HossfeldSI.R")

load("fitme_Year_Mort_Shann_sc_HossfeldSI.R")
load("fitme_Year_Mort_Sarea_sc_HossfeldSI.R")
load("fitme_Year_Mort_Sorg_sc_HossfeldSI.R")
load("fitme_Year_Mort_sc_HossfeldSI.R")

load("fitme_Year_NBC_Shann_sc_HossfeldSI.R")
load("fitme_Year_NBC_Sarea_sc_HossfeldSI.R")
load("fitme_Year_NBC_Sorg_sc_HossfeldSI.R")
load("fitme_Year_NBC_sc_HossfeldSI.R")

#Ini
load("fitme_Year_Grow_IniShann_sc_HossfeldSI.R")
load("fitme_Year_Grow_IniSarea_sc_HossfeldSI.R")
load("fitme_Year_Grow_IniSorg_sc_HossfeldSI.R")
load("fitme_Year_Grow_IniS_sc_HossfeldSI.R")

load("fitme_Year_Mort_IniShann_sc_HossfeldSI.R")
load("fitme_Year_Mort_IniSarea_sc_HossfeldSI.R")
load("fitme_Year_Mort_IniSorg_sc_HossfeldSI.R")
load("fitme_Year_Mort_IniS_sc_HossfeldSI.R")

load("fitme_Year_NBC_IniShann_sc_HossfeldSI.R")
load("fitme_Year_NBC_IniSarea_sc_HossfeldSI.R")
load("fitme_Year_NBC_IniSorg_sc_HossfeldSI.R")
load("fitme_Year_NBC_IniS_sc_HossfeldSI.R")

#Fin
load("fitme_Year_Grow_FinShann_sc_HossfeldSI.R")
load("fitme_Year_Grow_FinSarea_sc_HossfeldSI.R")
load("fitme_Year_Grow_FinSorg_sc_HossfeldSI.R")
load("fitme_Year_Grow_FinS_sc_HossfeldSI.R")

load("fitme_Year_Mort_FinShann_sc_HossfeldSI.R")
load("fitme_Year_Mort_FinSarea_sc_HossfeldSI.R")
load("fitme_Year_Mort_FinSorg_sc_HossfeldSI.R")
load("fitme_Year_Mort_FinS_sc_HossfeldSI.R")

load("fitme_Year_NBC_FinShann_sc_HossfeldSI.R")
load("fitme_Year_NBC_FinSarea_sc_HossfeldSI.R")
load("fitme_Year_NBC_FinSorg_sc_HossfeldSI.R")
load("fitme_Year_NBC_FinS_sc_HossfeldSI.R")

######## Mid values #######
#### Growth ####
## mbrare_nbsp_sc ##
mbrare_nbsp_sc_summary<-summary(mbrare_nbsp_sc)$beta
growT_Mid<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                        mean.gr=NA,up.gr=NA,low.gr=NA)
growT_Mid$mean.gr<-mbrare_nbsp_sc_summary[,1]
growT_Mid$up.gr<-mbrare_nbsp_sc_summary[,1]+mbrare_nbsp_sc_summary[,2]
growT_Mid$low.gr<-mbrare_nbsp_sc_summary[,1]-mbrare_nbsp_sc_summary[,2]

## mbstd_nbsp_sc ##
mbstd_nbsp_sc_summary<-summary(mbstd_nbsp_sc)$beta
growT_Mid_std<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                            mean.gr=NA,up.gr=NA,low.gr=NA)
growT_Mid_std$mean.gr<-mbstd_nbsp_sc_summary[,1]
growT_Mid_std$up.gr<-mbstd_nbsp_sc_summary[,1]+mbstd_nbsp_sc_summary[,2]
growT_Mid_std$low.gr<-mbstd_nbsp_sc_summary[,1]-mbstd_nbsp_sc_summary[,2]

## mbnbsp_sc ##
mbnbsp_sc_summary<-summary(mbnbsp_sc)$beta
growT_Mid_nbsp<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                             mean.gr=NA,up.gr=NA,low.gr=NA)
growT_Mid_nbsp$mean.gr<-mbnbsp_sc_summary[,1]
growT_Mid_nbsp$up.gr<-mbnbsp_sc_summary[,1]+mbnbsp_sc_summary[,2]
growT_Mid_nbsp$low.gr<-mbnbsp_sc_summary[,1]-mbnbsp_sc_summary[,2]

## mbShann_sc ##
mbShann_sc_summary<-summary(mbShann_sc)$beta
growT_Mid_Shann<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                              mean.gr=NA,up.gr=NA,low.gr=NA)
growT_Mid_Shann$mean.gr<-mbShann_sc_summary[,1]
growT_Mid_Shann$up.gr<-mbShann_sc_summary[,1]+mbShann_sc_summary[,2]
growT_Mid_Shann$low.gr<-mbShann_sc_summary[,1]-mbShann_sc_summary[,2]

#### Mortality ####
## mcrare_nbsp_sc ##
mcrare_nbsp_sc_summary<-summary(mcrare_nbsp_sc)$beta
mortT_Mid<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                        mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_Mid$mean.mo<-mcrare_nbsp_sc_summary[,1]
mortT_Mid$up.mo<-mcrare_nbsp_sc_summary[,1]+mcrare_nbsp_sc_summary[,2]
mortT_Mid$low.mo<-mcrare_nbsp_sc_summary[,1]-mcrare_nbsp_sc_summary[,2]

## mcstd_nbsp_sc ##
mcstd_nbsp_sc_summary<-summary(mcstd_nbsp_sc)$beta
mortT_Mid_std<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                            mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_Mid_std$mean.mo<-mcstd_nbsp_sc_summary[,1]
mortT_Mid_std$up.mo<-mcstd_nbsp_sc_summary[,1]+mcstd_nbsp_sc_summary[,2]
mortT_Mid_std$low.mo<-mcstd_nbsp_sc_summary[,1]-mcstd_nbsp_sc_summary[,2]

## mcnbsp_sc ##
mcnbsp_sc_summary<-summary(mcnbsp_sc)$beta
mortT_Mid_nbsp<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                             mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_Mid_nbsp$mean.mo<-mcnbsp_sc_summary[,1]
mortT_Mid_nbsp$up.mo<-mcnbsp_sc_summary[,1]+mcnbsp_sc_summary[,2]
mortT_Mid_nbsp$low.mo<-mcnbsp_sc_summary[,1]-mcnbsp_sc_summary[,2]

## mcShann_sc ##
mcShann_sc_summary<-summary(mcShann_sc)$beta
mortT_Mid_Shann<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                              mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_Mid_Shann$mean.mo<-mcShann_sc_summary[,1]
mortT_Mid_Shann$up.mo<-mcShann_sc_summary[,1]+mcShann_sc_summary[,2]
mortT_Mid_Shann$low.mo<-mcShann_sc_summary[,1]-mcShann_sc_summary[,2]

#### Net biomass change ####
## marare_nbsp_sc ##
marare_nbsp_sc_summary<-summary(marare_nbsp_sc)$beta
nbcT_Mid<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                       mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_Mid$mean.nbc<-marare_nbsp_sc_summary[,1]
nbcT_Mid$up.nbc<-marare_nbsp_sc_summary[,1]+marare_nbsp_sc_summary[,2]
nbcT_Mid$low.nbc<-marare_nbsp_sc_summary[,1]-marare_nbsp_sc_summary[,2]

## mastd_nbsp_sc ##
mastd_nbsp_sc_summary<-summary(mastd_nbsp_sc)$beta
nbcT_Mid_std<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                           mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_Mid_std$mean.nbc<-mastd_nbsp_sc_summary[,1]
nbcT_Mid_std$up.nbc<-mastd_nbsp_sc_summary[,1]+mastd_nbsp_sc_summary[,2]
nbcT_Mid_std$low.nbc<-mastd_nbsp_sc_summary[,1]-mastd_nbsp_sc_summary[,2]

## manbsp_sc ##
manbsp_sc_summary<-summary(manbsp_sc)$beta
nbcT_Mid_nbsp<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                            mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_Mid_nbsp$mean.nbc<-manbsp_sc_summary[,1]
nbcT_Mid_nbsp$up.nbc<-manbsp_sc_summary[,1]+manbsp_sc_summary[,2]
nbcT_Mid_nbsp$low.nbc<-manbsp_sc_summary[,1]-manbsp_sc_summary[,2]

## maShann_sc ##
maShann_sc_summary<-summary(maShann_sc)$beta
nbcT_Mid_Shann<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                             mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_Mid_Shann$mean.nbc<-maShann_sc_summary[,1]
nbcT_Mid_Shann$up.nbc<-maShann_sc_summary[,1]+maShann_sc_summary[,2]
nbcT_Mid_Shann$low.nbc<-maShann_sc_summary[,1]-maShann_sc_summary[,2]

######## Ini values #######
#### Growth ####
## mbInirare_nbsp_sc ##
mbInirare_nbsp_sc_summary<-summary(mbInirare_nbsp_sc)$beta
growT_Ini<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                        mean.gr=NA,up.gr=NA,low.gr=NA)
growT_Ini$mean.gr<-mbInirare_nbsp_sc_summary[,1]
growT_Ini$up.gr<-mbInirare_nbsp_sc_summary[,1]+mbInirare_nbsp_sc_summary[,2]
growT_Ini$low.gr<-mbInirare_nbsp_sc_summary[,1]-mbInirare_nbsp_sc_summary[,2]

## mbInistd_nbsp_sc ##
mbInistd_nbsp_sc_summary<-summary(mbInistd_nbsp_sc)$beta
growT_Ini_std<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                            mean.gr=NA,up.gr=NA,low.gr=NA)
growT_Ini_std$mean.gr<-mbInistd_nbsp_sc_summary[,1]
growT_Ini_std$up.gr<-mbInistd_nbsp_sc_summary[,1]+mbInistd_nbsp_sc_summary[,2]
growT_Ini_std$low.gr<-mbInistd_nbsp_sc_summary[,1]-mbInistd_nbsp_sc_summary[,2]

## mbIninbsp_sc ##
mbIninbsp_sc_summary<-summary(mbIninbsp_sc)$beta
growT_Ini_nbsp<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                             mean.gr=NA,up.gr=NA,low.gr=NA)
growT_Ini_nbsp$mean.gr<-mbIninbsp_sc_summary[,1]
growT_Ini_nbsp$up.gr<-mbIninbsp_sc_summary[,1]+mbIninbsp_sc_summary[,2]
growT_Ini_nbsp$low.gr<-mbIninbsp_sc_summary[,1]-mbIninbsp_sc_summary[,2]

## mbIniShann_sc ##
mbIniShann_sc_summary<-summary(mbIniShann_sc)$beta
growT_Ini_Shann<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                              mean.gr=NA,up.gr=NA,low.gr=NA)
growT_Ini_Shann$mean.gr<-mbIniShann_sc_summary[,1]
growT_Ini_Shann$up.gr<-mbIniShann_sc_summary[,1]+mbIniShann_sc_summary[,2]
growT_Ini_Shann$low.gr<-mbIniShann_sc_summary[,1]-mbIniShann_sc_summary[,2]

#### Mortality ####
## mcInirare_nbsp_sc ##
mcInirare_nbsp_sc_summary<-summary(mcInirare_nbsp_sc)$beta
mortT_Ini<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                        mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_Ini$mean.mo<-mcInirare_nbsp_sc_summary[,1]
mortT_Ini$up.mo<-mcInirare_nbsp_sc_summary[,1]+mcInirare_nbsp_sc_summary[,2]
mortT_Ini$low.mo<-mcInirare_nbsp_sc_summary[,1]-mcInirare_nbsp_sc_summary[,2]

## mcInistd_nbsp_sc ##
mcInistd_nbsp_sc_summary<-summary(mcInistd_nbsp_sc)$beta
mortT_Ini_std<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                            mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_Ini_std$mean.mo<-mcInistd_nbsp_sc_summary[,1]
mortT_Ini_std$up.mo<-mcInistd_nbsp_sc_summary[,1]+mcInistd_nbsp_sc_summary[,2]
mortT_Ini_std$low.mo<-mcInistd_nbsp_sc_summary[,1]-mcInistd_nbsp_sc_summary[,2]

## mcIninbsp_sc ##
mcIninbsp_sc_summary<-summary(mcIninbsp_sc)$beta
mortT_Ini_nbsp<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                             mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_Ini_nbsp$mean.mo<-mcIninbsp_sc_summary[,1]
mortT_Ini_nbsp$up.mo<-mcIninbsp_sc_summary[,1]+mcIninbsp_sc_summary[,2]
mortT_Ini_nbsp$low.mo<-mcIninbsp_sc_summary[,1]-mcIninbsp_sc_summary[,2]

## mcIniShann_sc ##
mcIniShann_sc_summary<-summary(mcIniShann_sc)$beta
mortT_Ini_Shann<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                              mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_Ini_Shann$mean.mo<-mcIniShann_sc_summary[,1]
mortT_Ini_Shann$up.mo<-mcIniShann_sc_summary[,1]+mcIniShann_sc_summary[,2]
mortT_Ini_Shann$low.mo<-mcIniShann_sc_summary[,1]-mcIniShann_sc_summary[,2]

#### Net biomaIniss change ####
## maInirare_nbsp_sc ##
maInirare_nbsp_sc_summary<-summary(maInirare_nbsp_sc)$beta
nbcT_Ini<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                       mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_Ini$mean.nbc<-maInirare_nbsp_sc_summary[,1]
nbcT_Ini$up.nbc<-maInirare_nbsp_sc_summary[,1]+maInirare_nbsp_sc_summary[,2]
nbcT_Ini$low.nbc<-maInirare_nbsp_sc_summary[,1]-maInirare_nbsp_sc_summary[,2]

## maInistd_nbsp_sc ##
maInistd_nbsp_sc_summary<-summary(maInistd_nbsp_sc)$beta
nbcT_Ini_std<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                           mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_Ini_std$mean.nbc<-maInistd_nbsp_sc_summary[,1]
nbcT_Ini_std$up.nbc<-maInistd_nbsp_sc_summary[,1]+maInistd_nbsp_sc_summary[,2]
nbcT_Ini_std$low.nbc<-maInistd_nbsp_sc_summary[,1]-maInistd_nbsp_sc_summary[,2]

## maIninbsp_sc ##
maIninbsp_sc_summary<-summary(maIninbsp_sc)$beta
nbcT_Ini_nbsp<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                            mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_Ini_nbsp$mean.nbc<-maIninbsp_sc_summary[,1]
nbcT_Ini_nbsp$up.nbc<-maIninbsp_sc_summary[,1]+maIninbsp_sc_summary[,2]
nbcT_Ini_nbsp$low.nbc<-maIninbsp_sc_summary[,1]-maIninbsp_sc_summary[,2]

## maIniShann_sc ##
maIniShann_sc_summary<-summary(maIniShann_sc)$beta
nbcT_Ini_Shann<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                             mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_Ini_Shann$mean.nbc<-maIniShann_sc_summary[,1]
nbcT_Ini_Shann$up.nbc<-maIniShann_sc_summary[,1]+maIniShann_sc_summary[,2]
nbcT_Ini_Shann$low.nbc<-maIniShann_sc_summary[,1]-maIniShann_sc_summary[,2]

######## Fin values #######
#### Growth ####
## mbFinrare_nbsp_sc ##
mbFinrare_nbsp_sc_summary<-summary(mbFinrare_nbsp_sc)$beta
growT_Fin<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                      mean.gr=NA,up.gr=NA,low.gr=NA)
growT_Fin$mean.gr<-mbFinrare_nbsp_sc_summary[,1]
growT_Fin$up.gr<-mbFinrare_nbsp_sc_summary[,1]+mbFinrare_nbsp_sc_summary[,2]
growT_Fin$low.gr<-mbFinrare_nbsp_sc_summary[,1]-mbFinrare_nbsp_sc_summary[,2]

## mbFinstd_nbsp_sc ##
mbFinstd_nbsp_sc_summary<-summary(mbFinstd_nbsp_sc)$beta
growT_Fin_std<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                          mean.gr=NA,up.gr=NA,low.gr=NA)
growT_Fin_std$mean.gr<-mbFinstd_nbsp_sc_summary[,1]
growT_Fin_std$up.gr<-mbFinstd_nbsp_sc_summary[,1]+mbFinstd_nbsp_sc_summary[,2]
growT_Fin_std$low.gr<-mbFinstd_nbsp_sc_summary[,1]-mbFinstd_nbsp_sc_summary[,2]

## mbFinnbsp_sc ##
mbFinnbsp_sc_summary<-summary(mbFinnbsp_sc)$beta
growT_Fin_nbsp<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                           mean.gr=NA,up.gr=NA,low.gr=NA)
growT_Fin_nbsp$mean.gr<-mbFinnbsp_sc_summary[,1]
growT_Fin_nbsp$up.gr<-mbFinnbsp_sc_summary[,1]+mbFinnbsp_sc_summary[,2]
growT_Fin_nbsp$low.gr<-mbFinnbsp_sc_summary[,1]-mbFinnbsp_sc_summary[,2]

## mbFinShann_sc ##
mbFinShann_sc_summary<-summary(mbFinShann_sc)$beta
growT_Fin_Shann<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                            mean.gr=NA,up.gr=NA,low.gr=NA)
growT_Fin_Shann$mean.gr<-mbFinShann_sc_summary[,1]
growT_Fin_Shann$up.gr<-mbFinShann_sc_summary[,1]+mbFinShann_sc_summary[,2]
growT_Fin_Shann$low.gr<-mbFinShann_sc_summary[,1]-mbFinShann_sc_summary[,2]

#### Mortality ####
## mcFinrare_nbsp_sc ##
mcFinrare_nbsp_sc_summary<-summary(mcFinrare_nbsp_sc)$beta
mortT_Fin<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                      mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_Fin$mean.mo<-mcFinrare_nbsp_sc_summary[,1]
mortT_Fin$up.mo<-mcFinrare_nbsp_sc_summary[,1]+mcFinrare_nbsp_sc_summary[,2]
mortT_Fin$low.mo<-mcFinrare_nbsp_sc_summary[,1]-mcFinrare_nbsp_sc_summary[,2]

## mcFinstd_nbsp_sc ##
mcFinstd_nbsp_sc_summary<-summary(mcFinstd_nbsp_sc)$beta
mortT_Fin_std<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                          mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_Fin_std$mean.mo<-mcFinstd_nbsp_sc_summary[,1]
mortT_Fin_std$up.mo<-mcFinstd_nbsp_sc_summary[,1]+mcFinstd_nbsp_sc_summary[,2]
mortT_Fin_std$low.mo<-mcFinstd_nbsp_sc_summary[,1]-mcFinstd_nbsp_sc_summary[,2]

## mcFinnbsp_sc ##
mcFinnbsp_sc_summary<-summary(mcFinnbsp_sc)$beta
mortT_Fin_nbsp<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                           mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_Fin_nbsp$mean.mo<-mcFinnbsp_sc_summary[,1]
mortT_Fin_nbsp$up.mo<-mcFinnbsp_sc_summary[,1]+mcFinnbsp_sc_summary[,2]
mortT_Fin_nbsp$low.mo<-mcFinnbsp_sc_summary[,1]-mcFinnbsp_sc_summary[,2]

## mcFinShann_sc ##
mcFinShann_sc_summary<-summary(mcFinShann_sc)$beta
mortT_Fin_Shann<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                            mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_Fin_Shann$mean.mo<-mcFinShann_sc_summary[,1]
mortT_Fin_Shann$up.mo<-mcFinShann_sc_summary[,1]+mcFinShann_sc_summary[,2]
mortT_Fin_Shann$low.mo<-mcFinShann_sc_summary[,1]-mcFinShann_sc_summary[,2]

#### Net biomaFinss change ####
## maFinrare_nbsp_sc ##
maFinrare_nbsp_sc_summary<-summary(maFinrare_nbsp_sc)$beta
nbcT_Fin<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                     mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_Fin$mean.nbc<-maFinrare_nbsp_sc_summary[,1]
nbcT_Fin$up.nbc<-maFinrare_nbsp_sc_summary[,1]+maFinrare_nbsp_sc_summary[,2]
nbcT_Fin$low.nbc<-maFinrare_nbsp_sc_summary[,1]-maFinrare_nbsp_sc_summary[,2]

## maFinstd_nbsp_sc ##
maFinstd_nbsp_sc_summary<-summary(maFinstd_nbsp_sc)$beta
nbcT_Fin_std<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                         mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_Fin_std$mean.nbc<-maFinstd_nbsp_sc_summary[,1]
nbcT_Fin_std$up.nbc<-maFinstd_nbsp_sc_summary[,1]+maFinstd_nbsp_sc_summary[,2]
nbcT_Fin_std$low.nbc<-maFinstd_nbsp_sc_summary[,1]-maFinstd_nbsp_sc_summary[,2]

## maFinnbsp_sc ##
maFinnbsp_sc_summary<-summary(maFinnbsp_sc)$beta
nbcT_Fin_nbsp<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                          mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_Fin_nbsp$mean.nbc<-maFinnbsp_sc_summary[,1]
nbcT_Fin_nbsp$up.nbc<-maFinnbsp_sc_summary[,1]+maFinnbsp_sc_summary[,2]
nbcT_Fin_nbsp$low.nbc<-maFinnbsp_sc_summary[,1]-maFinnbsp_sc_summary[,2]

## maFinShann_sc ##
maFinShann_sc_summary<-summary(maFinShann_sc)$beta
nbcT_Fin_Shann<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                           mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_Fin_Shann$mean.nbc<-maFinShann_sc_summary[,1]
nbcT_Fin_Shann$up.nbc<-maFinShann_sc_summary[,1]+maFinShann_sc_summary[,2]
nbcT_Fin_Shann$low.nbc<-maFinShann_sc_summary[,1]-maFinShann_sc_summary[,2]

## Bind Diversity Metrics Comparison
## rare_nbsp
#Grow
growT_Ini$model<-"Value of first census period"
growT_Mid$model<-"Value of middle census period"
growT_Fin$model<-"Value of second census period"

to_gg<-rbind(growT_Ini,growT_Mid,growT_Fin)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="lograre_nbsp",Source:="f(S)"];to_gg[Source=="SA_Y",Source:="logSA*Y"]
to_gg[Source=="Div_SA",Source:="logSA*f(S)"];to_gg[Source=="Div_Y",Source:="Y*f(S)"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","logSA","Y","f(S)","logSA*Y","logSA*f(S)","Y*f(S)"))

Grow_rare_nbsp<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.gr,ymin=low.gr,ymax=up.gr,col=model))+
  geom_point(position=position_dodge(0.4))+
  geom_errorbar(position=position_dodge(0.4),width=0.3)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.7,0.3),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  ylab("Coefficient estimate")+xlab("")+
  guides(col=FALSE)
Grow_rare_nbsp

#Mort
mortT_Ini$model<-"Value of first census period"
mortT_Mid$model<-"Value of middle census period"
mortT_Fin$model<-"Value of second census period"

to_gg<-rbind(mortT_Ini,mortT_Mid,mortT_Fin)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="lograre_nbsp",Source:="f(S)"];to_gg[Source=="SA_Y",Source:="logSA*Y"]
to_gg[Source=="Div_SA",Source:="logSA*f(S)"];to_gg[Source=="Div_Y",Source:="Y*f(S)"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","logSA","Y","f(S)","logSA*Y","logSA*f(S)","Y*f(S)"))

Mort_rare_nbsp<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.mo,ymin=low.mo,ymax=up.mo,col=model))+
  geom_point(position=position_dodge(0.4))+
  geom_errorbar(position=position_dodge(0.4),width=0.3)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.7,0.3),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  ylab("Coefficient estimate")+xlab("")+
  guides(col=FALSE)
Mort_rare_nbsp

#NBC
nbcT_Ini$model<-"Value of first census period"
nbcT_Mid$model<-"Value of middle census period"
nbcT_Fin$model<-"Value of second census period"

to_gg<-rbind(nbcT_Ini,nbcT_Mid,nbcT_Fin)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="lograre_nbsp",Source:="f(S)"];to_gg[Source=="SA_Y",Source:="logSA*Y"]
to_gg[Source=="Div_SA",Source:="logSA*f(S)"];to_gg[Source=="Div_Y",Source:="Y*f(S)"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","logSA","Y","f(S)","logSA*Y","logSA*f(S)","Y*f(S)"))

NBC_rare_nbsp<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.nbc,ymin=low.nbc,ymax=up.nbc,col=model))+
  geom_point(position=position_dodge(0.4))+
  geom_errorbar(position=position_dodge(0.4),width=0.3)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.7,0.3),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  ylab("Coefficient estimate")+xlab("")+
  guides(col=FALSE)
NBC_rare_nbsp

## std_nbsp
#Grow
growT_Ini$model<-"Value of first census period"
growT_Mid$model<-"Value of middle census period"
growT_Fin$model<-"Value of second census period"

to_gg<-rbind(growT_Ini,growT_Mid,growT_Fin)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="lograre_nbsp",Source:="f(Sarea)"];to_gg[Source=="SA_Y",Source:="logSA*Y"]
to_gg[Source=="Div_SA",Source:="logSA*f(Sarea)"];to_gg[Source=="Div_Y",Source:="Y*f(Sarea)"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","logSA","Y","f(Sarea)","logSA*Y","logSA*f(Sarea)","Y*f(Sarea)"))

Grow_std_nbsp<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.gr,ymin=low.gr,ymax=up.gr,col=model))+
  geom_point(position=position_dodge(0.4))+
  geom_errorbar(position=position_dodge(0.4),width=0.3)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.7,0.3),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  ylab("Coefficient estimate")+xlab("")+
  guides(col=FALSE)
Grow_std_nbsp

#Mort
mortT_Ini$model<-"Value of first census period"
mortT_Mid$model<-"Value of middle census period"
mortT_Fin$model<-"Value of second census period"

to_gg<-rbind(mortT_Ini,mortT_Mid,mortT_Fin)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="lograre_nbsp",Source:="f(Sarea)"];to_gg[Source=="SA_Y",Source:="logSA*Y"]
to_gg[Source=="Div_SA",Source:="logSA*f(Sarea)"];to_gg[Source=="Div_Y",Source:="Y*f(Sarea)"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","logSA","Y","f(Sarea)","logSA*Y","logSA*f(Sarea)","Y*f(Sarea)"))

Mort_std_nbsp<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.mo,ymin=low.mo,ymax=up.mo,col=model))+
  geom_point(position=position_dodge(0.4))+
  geom_errorbar(position=position_dodge(0.4),width=0.3)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.7,0.3),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  ylab("Coefficient estimate")+xlab("")+
  guides(col=FALSE)
Mort_std_nbsp

#NBC
nbcT_Ini$model<-"Value of first census period"
nbcT_Mid$model<-"Value of middle census period"
nbcT_Fin$model<-"Value of second census period"

to_gg<-rbind(nbcT_Ini,nbcT_Mid,nbcT_Fin)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="lograre_nbsp",Source:="f(Sarea)"];to_gg[Source=="SA_Y",Source:="logSA*Y"]
to_gg[Source=="Div_SA",Source:="logSA*f(Sarea)"];to_gg[Source=="Div_Y",Source:="Y*f(Sarea)"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","logSA","Y","f(Sarea)","logSA*Y","logSA*f(Sarea)","Y*f(Sarea)"))

NBC_std_nbsp<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.nbc,ymin=low.nbc,ymax=up.nbc,col=model))+
  geom_point(position=position_dodge(0.4))+
  geom_errorbar(position=position_dodge(0.4),width=0.3)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.7,0.3),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  ylab("Coefficient estimate")+xlab("")+
  guides(col=FALSE)
NBC_std_nbsp

## nbsp
#Grow
growT_Ini$model<-"Value of first census period"
growT_Mid$model<-"Value of middle census period"
growT_Fin$model<-"Value of second census period"

to_gg<-rbind(growT_Ini,growT_Mid,growT_Fin)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="lograre_nbsp",Source:="f(Sorg)"];to_gg[Source=="SA_Y",Source:="logSA*Y"]
to_gg[Source=="Div_SA",Source:="logSA*f(Sorg)"];to_gg[Source=="Div_Y",Source:="Y*f(Sorg)"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","logSA","Y","f(Sorg)","logSA*Y","logSA*f(Sorg)","Y*f(Sorg)"))

Grow_nbsp<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.gr,ymin=low.gr,ymax=up.gr,col=model))+
  geom_point(position=position_dodge(0.4))+
  geom_errorbar(position=position_dodge(0.4),width=0.3)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.7,0.3),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  ylab("Coefficient estimate")+xlab("")+
  guides(col=FALSE)
Grow_nbsp

#Mort
mortT_Ini$model<-"Value of first census period"
mortT_Mid$model<-"Value of middle census period"
mortT_Fin$model<-"Value of second census period"

to_gg<-rbind(mortT_Ini,mortT_Mid,mortT_Fin)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="lograre_nbsp",Source:="f(Sorg)"];to_gg[Source=="SA_Y",Source:="logSA*Y"]
to_gg[Source=="Div_SA",Source:="logSA*f(Sorg)"];to_gg[Source=="Div_Y",Source:="Y*f(Sorg)"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","logSA","Y","f(Sorg)","logSA*Y","logSA*f(Sorg)","Y*f(Sorg)"))

Mort_nbsp<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.mo,ymin=low.mo,ymax=up.mo,col=model))+
  geom_point(position=position_dodge(0.4))+
  geom_errorbar(position=position_dodge(0.4),width=0.3)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.7,0.3),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  ylab("Coefficient estimate")+xlab("")+
  guides(col=FALSE)
Mort_nbsp

#NBC
nbcT_Ini$model<-"Value of first census period"
nbcT_Mid$model<-"Value of middle census period"
nbcT_Fin$model<-"Value of second census period"

to_gg<-rbind(nbcT_Ini,nbcT_Mid,nbcT_Fin)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="lograre_nbsp",Source:="f(Sorg)"];to_gg[Source=="SA_Y",Source:="logSA*Y"]
to_gg[Source=="Div_SA",Source:="logSA*f(Sorg)"];to_gg[Source=="Div_Y",Source:="Y*f(Sorg)"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","logSA","Y","f(Sorg)","logSA*Y","logSA*f(Sorg)","Y*f(Sorg)"))

NBC_nbsp<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.nbc,ymin=low.nbc,ymax=up.nbc,col=model))+
  geom_point(position=position_dodge(0.4))+
  geom_errorbar(position=position_dodge(0.4),width=0.3)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.7,0.3),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  ylab("Coefficient estimate")+xlab("")+
  guides(col=FALSE)
NBC_nbsp

## Shann
#Grow
growT_Ini$model<-"Value of first census period"
growT_Mid$model<-"Value of middle census period"
growT_Fin$model<-"Value of second census period"

to_gg<-rbind(growT_Ini,growT_Mid,growT_Fin)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="lograre_nbsp",Source:="f(Shann)"];to_gg[Source=="SA_Y",Source:="logSA*Y"]
to_gg[Source=="Div_SA",Source:="logSA*f(Shann)"];to_gg[Source=="Div_Y",Source:="Y*f(Shann)"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","logSA","Y","f(Shann)","logSA*Y","logSA*f(Shann)","Y*f(Shann)"))

Grow_Shann<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.gr,ymin=low.gr,ymax=up.gr,col=model))+
  geom_point(position=position_dodge(0.4))+
  geom_errorbar(position=position_dodge(0.4),width=0.3)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.685,0.3),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  ylab("Coefficient estimate")+xlab("")#+
#guides(col=FALSE)
Grow_Shann

#Mort
mortT_Ini$model<-"Value of first census period"
mortT_Mid$model<-"Value of middle census period"
mortT_Fin$model<-"Value of second census period"

to_gg<-rbind(mortT_Ini,mortT_Mid,mortT_Fin)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="lograre_nbsp",Source:="f(Shann)"];to_gg[Source=="SA_Y",Source:="logSA*Y"]
to_gg[Source=="Div_SA",Source:="logSA*f(Shann)"];to_gg[Source=="Div_Y",Source:="Y*f(Shann)"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","logSA","Y","f(Shann)","logSA*Y","logSA*f(Shann)","Y*f(Shann)"))

Mort_Shann<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.mo,ymin=low.mo,ymax=up.mo,col=model))+
  geom_point(position=position_dodge(0.4))+
  geom_errorbar(position=position_dodge(0.4),width=0.3)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.7,0.3),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  ylab("Coefficient estimate")+xlab("")+
  guides(col=FALSE)
Mort_Shann

#NBC
nbcT_Ini$model<-"Value of first census period"
nbcT_Mid$model<-"Value of middle census period"
nbcT_Fin$model<-"Value of second census period"

to_gg<-rbind(nbcT_Ini,nbcT_Mid,nbcT_Fin)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="lograre_nbsp",Source:="f(Shann)"];to_gg[Source=="SA_Y",Source:="logSA*Y"]
to_gg[Source=="Div_SA",Source:="logSA*f(Shann)"];to_gg[Source=="Div_Y",Source:="Y*f(Shann)"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","logSA","Y","f(Shann)","logSA*Y","logSA*f(Shann)","Y*f(Shann)"))

NBC_Shann<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.nbc,ymin=low.nbc,ymax=up.nbc,col=model))+
  geom_point(position=position_dodge(0.4))+
  geom_errorbar(position=position_dodge(0.4),width=0.3)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.7,0.3),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  ylab("Coefficient estimate")+xlab("")+
  guides(col=FALSE)
NBC_Shann

## save Fig S
############## ############## Bind S, Sorg, Shann ############## ##############
rbind_gtable_max <- function(...){
  gtl <- list(...)
  stopifnot(all(sapply(gtl, is.gtable)))
  bind2 <- function (x, y) 
  {
    stopifnot(ncol(x) == ncol(y))
    if (nrow(x) == 0) 
      return(y)
    if (nrow(y) == 0) 
      return(x)
    y$layout$t <- y$layout$t + nrow(x)
    y$layout$b <- y$layout$b + nrow(x)
    x$layout <- rbind(x$layout, y$layout)
    x$heights <- gtable:::insert.unit(x$heights, y$heights)
    x$rownames <- c(x$rownames, y$rownames)
    x$widths <- grid::unit.pmax(x$widths, y$widths)
    x$grobs <- append(x$grobs, y$grobs)
    x
  }
  
  Reduce(bind2, gtl)
}

a1 <- ggplotGrob(Grow_rare_nbsp)
a2 <- ggplotGrob(Mort_rare_nbsp)
a3 <- ggplotGrob(NBC_rare_nbsp)
b1 <- ggplotGrob(Grow_std_nbsp)
b2 <- ggplotGrob(Mort_std_nbsp)
b3 <- ggplotGrob(NBC_std_nbsp)
c1 <- ggplotGrob(Grow_nbsp)
c2 <- ggplotGrob(Mort_nbsp)
c3 <- ggplotGrob(NBC_nbsp)
d1 <- ggplotGrob(Grow_Shann)
d2 <- ggplotGrob(Mort_Shann)
d3 <- ggplotGrob(NBC_Shann)

A<-rbind_gtable_max(a1,a2,a3)
B<-rbind_gtable_max(b1,b2,b3)
C<-rbind_gtable_max(c1,c2,c3)
D<-rbind_gtable_max(d1,d2,d3)

tiff("FigS_Compare_IniDiv_MidDiv_FinDiv_fitme_Hossfeld.tiff",width=4200,height=3000,res=300,compression="lzw")
grid.arrange(A,B,C,D, ncol=4)

grid.text("A",x=unit(0.01,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,font=2),just="left")
grid.text("Growth",x=unit(0.08,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=12),just="left")
grid.text("Mortality",x=unit(0.08,"npc"),y=unit(0.662,"npc"),gp=gpar(fontsize=12),just="left")
grid.text("Net biomass change",x=unit(0.08,"npc"),y=unit(0.33,"npc"),gp=gpar(fontsize=12),just="left")

grid.text("B",x=unit(0.255,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,font=2),just="left")
grid.text("Growth",x=unit(0.255+0.07,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=12),just="left")
grid.text("Mortality",x=unit(0.255+0.07,"npc"),y=unit(0.662,"npc"),gp=gpar(fontsize=12),just="left")
grid.text("Net biomass change",x=unit(0.255+0.07,"npc"),y=unit(0.33,"npc"),gp=gpar(fontsize=12),just="left")

grid.text("C",x=unit(0.506,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,font=2),just="left")
grid.text("Growth",x=unit(0.506+0.07,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=12),just="left")
grid.text("Mortality",x=unit(0.506+0.07,"npc"),y=unit(0.662,"npc"),gp=gpar(fontsize=12),just="left")
grid.text("Net biomass change",x=unit(0.506+0.07,"npc"),y=unit(0.33,"npc"),gp=gpar(fontsize=12),just="left")

grid.text("D",x=unit(0.755,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=14,font=2),just="left")
grid.text("Growth",x=unit(0.755+0.07,"npc"),y=unit(0.99,"npc"),gp=gpar(fontsize=12),just="left")
grid.text("Mortality",x=unit(0.755+0.07,"npc"),y=unit(0.662,"npc"),gp=gpar(fontsize=12),just="left")
grid.text("Net biomass change",x=unit(0.755+0.07,"npc"),y=unit(0.33,"npc"),gp=gpar(fontsize=12),just="left")

dev.off()
