library(nlme);library(lmeresampler)
library(lme4);library(lmerTest)
library(boot);library(Rfit)
library(MuMIn);library(ggplot2)
library(grid);library(gridExtra)
library(gtable);library(plyr)
library(dplyr);library(data.table)
library(MuMIn);options(na.action = "na.fail")
library(glmnet);library(glmnetUtils)
library(Hmisc)
library(spdep);library(SoDA);library(ape)
library(spaMM)

load("fitme_Year_RGrow_sc_HossfeldSI.R")
load("fitme_Year_RGrow_WS_sc_HossfeldSI.R")
load("fitme_Year_RGrow_TA_sc_HossfeldSI.R")
load("fitme_Year_RGrow_LP_sc_HossfeldSI.R")
load("fitme_Year_RGrow_BP_sc_HossfeldSI.R")
load("fitme_Year_Grow_sc_HossfeldSI.R")

load("fitme_Year_RMort_sc_HossfeldSI.R")
load("fitme_Year_RMort_WS_sc_HossfeldSI.R")
load("fitme_Year_RMort_TA_sc_HossfeldSI.R")
load("fitme_Year_RMort_LP_sc_HossfeldSI.R")
load("fitme_Year_RMort_BP_sc_HossfeldSI.R")
load("fitme_Year_Mort_sc_HossfeldSI.R")

load("fitme_Year_RNBC_sc_HossfeldSI.R")
load("fitme_Year_RNBC_WS_sc_HossfeldSI.R")
load("fitme_Year_RNBC_TA_sc_HossfeldSI.R")
load("fitme_Year_RNBC_LP_sc_HossfeldSI.R")
load("fitme_Year_RNBC_BP_sc_HossfeldSI.R")
load("fitme_Year_NBC_sc_HossfeldSI.R")

#### Growth ####
## mbrare_nbsp_sc ##
mbrare_nbsp_sc_summary<-summary(mbrare_nbsp_sc)$beta
growT_multi<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                        mean.gr=NA,up.gr=NA,low.gr=NA)
growT_multi$mean.gr<-mbrare_nbsp_sc_summary[,1]
growT_multi$up.gr<-mbrare_nbsp_sc_summary[,1]+mbrare_nbsp_sc_summary[,2]
growT_multi$low.gr<-mbrare_nbsp_sc_summary[,1]-mbrare_nbsp_sc_summary[,2]

## mbrare_nbsp_R_sc ##
mbrare_nbsp_R_sc_summary<-summary(mbrare_nbsp_R_sc)$beta
growT_multi_R<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                        mean.gr=NA,up.gr=NA,low.gr=NA)
growT_multi_R$mean.gr<-mbrare_nbsp_R_sc_summary[,1]
growT_multi_R$up.gr<-mbrare_nbsp_R_sc_summary[,1]+mbrare_nbsp_R_sc_summary[,2]
growT_multi_R$low.gr<-mbrare_nbsp_R_sc_summary[,1]-mbrare_nbsp_R_sc_summary[,2]

## mbrare_nbsp_R_WS_sc ##
mbrare_nbsp_R_WS_sc_summary<-summary(mbrare_nbsp_R_WS_sc)$beta
growT_multi_R_WS<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                        mean.gr=NA,up.gr=NA,low.gr=NA)
growT_multi_R_WS$mean.gr<-mbrare_nbsp_R_WS_sc_summary[,1]
growT_multi_R_WS$up.gr<-mbrare_nbsp_R_WS_sc_summary[,1]+mbrare_nbsp_R_WS_sc_summary[,2]
growT_multi_R_WS$low.gr<-mbrare_nbsp_R_WS_sc_summary[,1]-mbrare_nbsp_R_WS_sc_summary[,2]

## mbrare_nbsp_R_TA_sc ##
mbrare_nbsp_R_TA_sc_summary<-summary(mbrare_nbsp_R_TA_sc)$beta
growT_multi_R_TA<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                        mean.gr=NA,up.gr=NA,low.gr=NA)
growT_multi_R_TA$mean.gr<-mbrare_nbsp_R_TA_sc_summary[,1]
growT_multi_R_TA$up.gr<-mbrare_nbsp_R_TA_sc_summary[,1]+mbrare_nbsp_R_TA_sc_summary[,2]
growT_multi_R_TA$low.gr<-mbrare_nbsp_R_TA_sc_summary[,1]-mbrare_nbsp_R_TA_sc_summary[,2]

## mbrare_nbsp_R_LP_sc ##
mbrare_nbsp_R_LP_sc_summary<-summary(mbrare_nbsp_R_LP_sc)$beta
growT_multi_R_LP<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                        mean.gr=NA,up.gr=NA,low.gr=NA)
growT_multi_R_LP$mean.gr<-mbrare_nbsp_R_LP_sc_summary[,1]
growT_multi_R_LP$up.gr<-mbrare_nbsp_R_LP_sc_summary[,1]+mbrare_nbsp_R_LP_sc_summary[,2]
growT_multi_R_LP$low.gr<-mbrare_nbsp_R_LP_sc_summary[,1]-mbrare_nbsp_R_LP_sc_summary[,2]

## mbrare_nbsp_R_BP_sc ##
mbrare_nbsp_R_BP_sc_summary<-summary(mbrare_nbsp_R_BP_sc)$beta
growT_multi_R_BP<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                        mean.gr=NA,up.gr=NA,low.gr=NA)
growT_multi_R_BP$mean.gr<-mbrare_nbsp_R_BP_sc_summary[,1]
growT_multi_R_BP$up.gr<-mbrare_nbsp_R_BP_sc_summary[,1]+mbrare_nbsp_R_BP_sc_summary[,2]
growT_multi_R_BP$low.gr<-mbrare_nbsp_R_BP_sc_summary[,1]-mbrare_nbsp_R_BP_sc_summary[,2]

#Bind Each Species Comparison
growT_multi$model<-"Absolute value of all species"
growT_multi_R$model<-"Relative value of all species"
growT_multi_R_WS$model<-"Relative value of white spruce"
growT_multi_R_TA$model<-"Relative value of trembling aspen"
growT_multi_R_LP$model<-"Relative value of lodgepole pine"
growT_multi_R_BP$model<-"Relative value of balsam poplar"

to_gg<-rbind(growT_multi,growT_multi_R,growT_multi_R_WS,growT_multi_R_TA,growT_multi_R_LP)#,growT_multi_R_BP)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="logSA"|Source=="invlogSA",Source:="f(SA)"]
to_gg[Source=="lograre_nbsp",Source:="logS"];to_gg[Source=="SA_Y",Source:="f(SA)*Y"]
to_gg[Source=="Div_SA",Source:="f(SA)*logS"];to_gg[Source=="Div_Y",Source:="Y*logS"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","f(SA)","Y","logS","f(SA)*Y","f(SA)*logS","Y*logS"))

Grow_SPEC<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.gr,ymin=low.gr,ymax=up.gr,col=model,shape=model))+
  geom_point(position=position_dodge(0.4), size=2.2)+
  geom_errorbar(position=position_dodge(0.4),width=0)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="model")+
  theme(legend.position=c(0.75,0.73),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  ylab("Coefficient estimate")+xlab("")+
  scale_shape_manual(values=c(15,15,1,1,1,1),guide=F)+
  guides(col=FALSE)
Grow_SPEC

#### Mortality ####
## mcrare_nbsp_sc ##
mcrare_nbsp_sc_summary<-summary(mcrare_nbsp_sc)$beta
mortT_multi<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                        mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_multi$mean.mo<-mcrare_nbsp_sc_summary[,1]
mortT_multi$up.mo<-mcrare_nbsp_sc_summary[,1]+mcrare_nbsp_sc_summary[,2]
mortT_multi$low.mo<-mcrare_nbsp_sc_summary[,1]-mcrare_nbsp_sc_summary[,2]

## mcrare_nbsp_R_sc ##
mcrare_nbsp_R_sc_summary<-summary(mcrare_nbsp_R_sc)$beta
mortT_multi_R<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                          mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_multi_R$mean.mo<-mcrare_nbsp_R_sc_summary[,1]
mortT_multi_R$up.mo<-mcrare_nbsp_R_sc_summary[,1]+mcrare_nbsp_R_sc_summary[,2]
mortT_multi_R$low.mo<-mcrare_nbsp_R_sc_summary[,1]-mcrare_nbsp_R_sc_summary[,2]

## mcrare_nbsp_R_WS_sc ##
mcrare_nbsp_R_WS_sc_summary<-summary(mcrare_nbsp_R_WS_sc)$beta
mortT_multi_R_WS<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                             mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_multi_R_WS$mean.mo<-mcrare_nbsp_R_WS_sc_summary[,1]
mortT_multi_R_WS$up.mo<-mcrare_nbsp_R_WS_sc_summary[,1]+mcrare_nbsp_R_WS_sc_summary[,2]
mortT_multi_R_WS$low.mo<-mcrare_nbsp_R_WS_sc_summary[,1]-mcrare_nbsp_R_WS_sc_summary[,2]

## mcrare_nbsp_R_TA_sc ##
mcrare_nbsp_R_TA_sc_summary<-summary(mcrare_nbsp_R_TA_sc)$beta
mortT_multi_R_TA<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                             mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_multi_R_TA$mean.mo<-mcrare_nbsp_R_TA_sc_summary[,1]
mortT_multi_R_TA$up.mo<-mcrare_nbsp_R_TA_sc_summary[,1]+mcrare_nbsp_R_TA_sc_summary[,2]
mortT_multi_R_TA$low.mo<-mcrare_nbsp_R_TA_sc_summary[,1]-mcrare_nbsp_R_TA_sc_summary[,2]

## mcrare_nbsp_R_LP_sc ##
mcrare_nbsp_R_LP_sc_summary<-summary(mcrare_nbsp_R_LP_sc)$beta
mortT_multi_R_LP<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                             mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_multi_R_LP$mean.mo<-mcrare_nbsp_R_LP_sc_summary[,1]
mortT_multi_R_LP$up.mo<-mcrare_nbsp_R_LP_sc_summary[,1]+mcrare_nbsp_R_LP_sc_summary[,2]
mortT_multi_R_LP$low.mo<-mcrare_nbsp_R_LP_sc_summary[,1]-mcrare_nbsp_R_LP_sc_summary[,2]

## mcrare_nbsp_R_BP_sc ##
mcrare_nbsp_R_BP_sc_summary<-summary(mcrare_nbsp_R_BP_sc)$beta
mortT_multi_R_BP<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                             mean.mo=NA,up.mo=NA,low.mo=NA)
mortT_multi_R_BP$mean.mo<-mcrare_nbsp_R_BP_sc_summary[,1]
mortT_multi_R_BP$up.mo<-mcrare_nbsp_R_BP_sc_summary[,1]+mcrare_nbsp_R_BP_sc_summary[,2]
mortT_multi_R_BP$low.mo<-mcrare_nbsp_R_BP_sc_summary[,1]-mcrare_nbsp_R_BP_sc_summary[,2]

#Bind Each Species Comparison
mortT_multi$model<-"AGBM of all species"
mortT_multi_R$model<-"RAGBM of all species"
mortT_multi_R_WS$model<-"RAGBM of WS"
mortT_multi_R_TA$model<-"RAGBM of TA"
mortT_multi_R_LP$model<-"RAGBM of LP"
mortT_multi_R_BP$model<-"RAGBM of BP"

to_gg<-rbind(mortT_multi,mortT_multi_R,mortT_multi_R_WS,mortT_multi_R_TA,mortT_multi_R_LP)#,mortT_multi_R_BP)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="logSA"|Source=="invlogSA",Source:="f(SA)"]
to_gg[Source=="lograre_nbsp",Source:="f(S)"];to_gg[Source=="SA_Y",Source:="f(SA)*Y"]
to_gg[Source=="Div_SA",Source:="f(SA)*f(S)"];to_gg[Source=="Div_Y",Source:="Y*f(S)"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","f(SA)","Y","f(S)","f(SA)*Y","f(SA)*f(S)","Y*f(S)"))

Mort_SPEC<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.mo,ymin=low.mo,ymax=up.mo,col=model,shape=model))+
  geom_point(position=position_dodge(0.4),size=2.2)+
  geom_errorbar(position=position_dodge(0.4),width=0)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.6,0.95),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  scale_shape_manual(values=c(15,15,1,1,1,1),guide=F)+
  ylab("Coefficient estimate")+xlab("")+
  guides(col=FALSE)
Mort_SPEC

#### Net biomass change ####
## marare_nbsp_sc ##
marare_nbsp_sc_summary<-summary(marare_nbsp_sc)$beta
nbcT_multi<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                        mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_multi$mean.nbc<-marare_nbsp_sc_summary[,1]
nbcT_multi$up.nbc<-marare_nbsp_sc_summary[,1]+marare_nbsp_sc_summary[,2]
nbcT_multi$low.nbc<-marare_nbsp_sc_summary[,1]-marare_nbsp_sc_summary[,2]

## marare_nbsp_R_sc ##
marare_nbsp_R_sc_summary<-summary(marare_nbsp_R_sc)$beta
nbcT_multi_R<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                            mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_multi_R$mean.nbc<-marare_nbsp_R_sc_summary[,1]
nbcT_multi_R$up.nbc<-marare_nbsp_R_sc_summary[,1]+marare_nbsp_R_sc_summary[,2]
nbcT_multi_R$low.nbc<-marare_nbsp_R_sc_summary[,1]-marare_nbsp_R_sc_summary[,2]

## marare_nbsp_R_WS_sc ##
marare_nbsp_R_WS_sc_summary<-summary(marare_nbsp_R_WS_sc)$beta
nbcT_multi_R_WS<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                             mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_multi_R_WS$mean.nbc<-marare_nbsp_R_WS_sc_summary[,1]
nbcT_multi_R_WS$up.nbc<-marare_nbsp_R_WS_sc_summary[,1]+marare_nbsp_R_WS_sc_summary[,2]
nbcT_multi_R_WS$low.nbc<-marare_nbsp_R_WS_sc_summary[,1]-marare_nbsp_R_WS_sc_summary[,2]

## marare_nbsp_R_TA_sc ##
marare_nbsp_R_TA_sc_summary<-summary(marare_nbsp_R_TA_sc)$beta
nbcT_multi_R_TA<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                             mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_multi_R_TA$mean.nbc<-marare_nbsp_R_TA_sc_summary[,1]
nbcT_multi_R_TA$up.nbc<-marare_nbsp_R_TA_sc_summary[,1]+marare_nbsp_R_TA_sc_summary[,2]
nbcT_multi_R_TA$low.nbc<-marare_nbsp_R_TA_sc_summary[,1]-marare_nbsp_R_TA_sc_summary[,2]

## marare_nbsp_R_LP_sc ##
marare_nbsp_R_LP_sc_summary<-summary(marare_nbsp_R_LP_sc)$beta
nbcT_multi_R_LP<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                             mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_multi_R_LP$mean.nbc<-marare_nbsp_R_LP_sc_summary[,1]
nbcT_multi_R_LP$up.nbc<-marare_nbsp_R_LP_sc_summary[,1]+marare_nbsp_R_LP_sc_summary[,2]
nbcT_multi_R_LP$low.nbc<-marare_nbsp_R_LP_sc_summary[,1]-marare_nbsp_R_LP_sc_summary[,2]

## marare_nbsp_R_BP_sc ##
marare_nbsp_R_BP_sc_summary<-summary(marare_nbsp_R_BP_sc)$beta
nbcT_multi_R_BP<-data.table(Source=c("Int","logSA","Y","lograre_nbsp","logSI","SA_Y","Div_SA","Div_Y"),
                             mean.nbc=NA,up.nbc=NA,low.nbc=NA)
nbcT_multi_R_BP$mean.nbc<-marare_nbsp_R_BP_sc_summary[,1]
nbcT_multi_R_BP$up.nbc<-marare_nbsp_R_BP_sc_summary[,1]+marare_nbsp_R_BP_sc_summary[,2]
nbcT_multi_R_BP$low.nbc<-marare_nbsp_R_BP_sc_summary[,1]-marare_nbsp_R_BP_sc_summary[,2]

#Bind Each Species Comparison
nbcT_multi$model<-"AGB of all species"
nbcT_multi_R$model<-"RAGB of all species"
nbcT_multi_R_WS$model<-"RAGB of WS"
nbcT_multi_R_TA$model<-"RAGB of TA"
nbcT_multi_R_LP$model<-"RAGB of LP"
nbcT_multi_R_BP$model<-"RAGB of BP"

to_gg<-rbind(nbcT_multi,nbcT_multi_R,nbcT_multi_R_WS,nbcT_multi_R_TA,nbcT_multi_R_LP)#,nbcT_multi_R_BP)

to_gg[Source=="Y",Source:="Y"];to_gg[Source=="logSI",Source:="logSI"]
to_gg[Source=="logSA"|Source=="invlogSA",Source:="f(SA)"]
to_gg[Source=="lograre_nbsp",Source:="logS"];to_gg[Source=="SA_Y",Source:="f(SA)*Y"]
to_gg[Source=="Div_SA",Source:="f(SA)*logS"];to_gg[Source=="Div_Y",Source:="Y*logS"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","f(SA)","Y","logS","f(SA)*Y","f(SA)*logS","Y*logS"))

NBC_SPEC<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.nbc,ymin=low.nbc,ymax=up.nbc,col=model,shape=model))+
  geom_point(position=position_dodge(0.4), size=2.2)+
  geom_errorbar(position=position_dodge(0.4),width=0)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.7,0.8),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  scale_shape_manual(values=c(15,15,1,1,1,1),guide=F)+
  ylab("Coefficient estimate")+xlab("")+
  guides(col=FALSE)
NBC_SPEC

######### SBST Models for each species ############
load("fitme_Year_Grow_R_ST_sc_Hossfeld.R")
load("fitme_Year_Grow_WS_R_ST_sc_Hossfeld.R")
load("fitme_Year_Grow_TA_R_ST_sc_Hossfeld.R")
load("fitme_Year_Grow_LP_R_ST_sc_Hossfeld.R")
load("fitme_Year_Grow_BP_R_ST_sc_Hossfeld.R")
load("fitme_Year_Grow_ST_sc_Hossfeld.R")

load("fitme_Year_Mort_R_ST_sc_Hossfeld.R")
load("fitme_Year_Mort_WS_R_ST_sc_Hossfeld.R")
load("fitme_Year_Mort_TA_R_ST_sc_Hossfeld.R")
load("fitme_Year_Mort_LP_R_ST_sc_Hossfeld.R")
load("fitme_Year_Mort_BP_R_ST_sc_Hossfeld.R")
load("fitme_Year_Mort_ST_sc_Hossfeld.R")

load("fitme_Year_NBC_R_ST_sc_Hossfeld.R")
load("fitme_Year_NBC_WS_R_ST_sc_Hossfeld.R")
load("fitme_Year_NBC_TA_R_ST_sc_Hossfeld.R")
load("fitme_Year_NBC_LP_R_ST_sc_Hossfeld.R")
load("fitme_Year_NBC_BP_R_ST_sc_Hossfeld.R")
load("fitme_Year_NBC_ST_sc_Hossfeld.R")

#### Growth ####
## mbrare_nbsp_ST_sc ##
mbrare_nbsp_ST_sc_summary<-summary(mbrare_nbsp_ST_sc)$beta
rownames(mbrare_nbsp_ST_sc_summary)
growT_multi<-data.table(Source=rownames(mbrare_nbsp_ST_sc_summary),
                        mean.gr=NA,up.gr=NA,low.gr=NA)
growT_multi$mean.gr<-mbrare_nbsp_ST_sc_summary[,1]
growT_multi$up.gr<-mbrare_nbsp_ST_sc_summary[,1]+mbrare_nbsp_ST_sc_summary[,2]
growT_multi$low.gr<-mbrare_nbsp_ST_sc_summary[,1]-mbrare_nbsp_ST_sc_summary[,2]

## mbrare_nbsp_R_ST_sc ##
mbrare_nbsp_R_ST_sc_summary<-summary(mbrare_nbsp_R_ST_sc)$beta
growT_multi_R<-data.table(Source=rownames(mbrare_nbsp_R_ST_sc_summary),
                          mean.gr=NA,up.gr=NA,low.gr=NA)
growT_multi_R$mean.gr<-mbrare_nbsp_R_ST_sc_summary[,1]
growT_multi_R$up.gr<-mbrare_nbsp_R_ST_sc_summary[,1]+mbrare_nbsp_R_ST_sc_summary[,2]
growT_multi_R$low.gr<-mbrare_nbsp_R_ST_sc_summary[,1]-mbrare_nbsp_R_ST_sc_summary[,2]

## mbrare_nbsp_WS_R_ST_sc ##
mbrare_nbsp_WS_R_ST_sc_summary<-summary(mbrare_nbsp_WS_R_ST_sc)$beta
growT_multi_R_WS<-data.table(Source=rownames(mbrare_nbsp_WS_R_ST_sc_summary),
                             mean.gr=NA,up.gr=NA,low.gr=NA)
growT_multi_R_WS$mean.gr<-mbrare_nbsp_WS_R_ST_sc_summary[,1]
growT_multi_R_WS$up.gr<-mbrare_nbsp_WS_R_ST_sc_summary[,1]+mbrare_nbsp_WS_R_ST_sc_summary[,2]
growT_multi_R_WS$low.gr<-mbrare_nbsp_WS_R_ST_sc_summary[,1]-mbrare_nbsp_WS_R_ST_sc_summary[,2]

## mbrare_nbsp_TA_R_ST_sc ##
mbrare_nbsp_TA_R_ST_sc_summary<-summary(mbrare_nbsp_TA_R_ST_sc)$beta
growT_multi_R_TA<-data.table(Source=rownames(mbrare_nbsp_TA_R_ST_sc_summary),
                             mean.gr=NA,up.gr=NA,low.gr=NA)
growT_multi_R_TA$mean.gr<-mbrare_nbsp_TA_R_ST_sc_summary[,1]
growT_multi_R_TA$up.gr<-mbrare_nbsp_TA_R_ST_sc_summary[,1]+mbrare_nbsp_TA_R_ST_sc_summary[,2]
growT_multi_R_TA$low.gr<-mbrare_nbsp_TA_R_ST_sc_summary[,1]-mbrare_nbsp_TA_R_ST_sc_summary[,2]

## mbrare_nbsp_LP_R_ST_sc ##
mbrare_nbsp_LP_R_ST_sc_summary<-summary(mbrare_nbsp_LP_R_ST_sc)$beta
growT_multi_R_LP<-data.table(Source=rownames(mbrare_nbsp_LP_R_ST_sc_summary),
                             mean.gr=NA,up.gr=NA,low.gr=NA)
growT_multi_R_LP$mean.gr<-mbrare_nbsp_LP_R_ST_sc_summary[,1]
growT_multi_R_LP$up.gr<-mbrare_nbsp_LP_R_ST_sc_summary[,1]+mbrare_nbsp_LP_R_ST_sc_summary[,2]
growT_multi_R_LP$low.gr<-mbrare_nbsp_LP_R_ST_sc_summary[,1]-mbrare_nbsp_LP_R_ST_sc_summary[,2]

## mbrare_nbsp_BP_R_ST_sc ##
mbrare_nbsp_BP_R_ST_sc_summary<-summary(mbrare_nbsp_BP_R_ST_sc)$beta
growT_multi_R_BP<-data.table(Source=rownames(mbrare_nbsp_BP_R_ST_sc_summary),
                             mean.gr=NA,up.gr=NA,low.gr=NA)
growT_multi_R_BP$mean.gr<-mbrare_nbsp_BP_R_ST_sc_summary[,1]
growT_multi_R_BP$up.gr<-mbrare_nbsp_BP_R_ST_sc_summary[,1]+mbrare_nbsp_BP_R_ST_sc_summary[,2]
growT_multi_R_BP$low.gr<-mbrare_nbsp_BP_R_ST_sc_summary[,1]-mbrare_nbsp_BP_R_ST_sc_summary[,2]

#Bind Each Species Comparison
growT_multi$model<-"Absolute value of all species"
growT_multi_R$model<-"Relative value of all species"
growT_multi_R_WS$model<-"Relative value of white spruce"
growT_multi_R_TA$model<-"Relative value of trembling aspen"
growT_multi_R_LP$model<-"Relative value of lodgepole pine"
growT_multi_R_BP$model<-"Relative value of balsam poplar"

to_gg<-rbind(growT_multi,growT_multi_R,growT_multi_R_WS,growT_multi_R_TA,growT_multi_R_LP)#,growT_multi_R_BP)

to_gg[Source=="Y_sc",Source:="Y"];to_gg[Source=="logSI_sc",Source:="logSI"]
to_gg[Source=="SpST_sc",Source:="f(CWM_ST)"];to_gg[Source=="quadST_sc",Source:="CWM_ST^2"]
to_gg[Source=="lograre_nbsp_sc",Source:="logS"];to_gg[Source=="Y_sc:lograre_nbsp_sc",Source:="Y*logS"]
to_gg[Source=="logBio_sc",Source:="logSB"];to_gg[Source=="logBio_sc:Y_sc",Source:="logSB*Y"]
to_gg[Source=="logBio_sc:lograre_nbsp_sc",Source:="logSB*logS"];to_gg[Source=="SpST_sc:Y_sc",Source:="f(CWM_ST)*Y"]
to_gg[Source=="quadST_sc:Y_sc",Source:="CWM_ST^2*Y"];to_gg[Source=="SpST_sc:Y_sc",Source:="f(CWM_ST)*Y"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","f(CWM_ST)","CWM_ST^2","logSB","Y","logS",
                                           "logSB*Y","logSB*logS","f(CWM_ST)*Y","CWM_ST^2*Y","Y*logS"))

Grow_SPEC_SBST<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.gr,ymin=low.gr,ymax=up.gr,col=model,shape=model))+
  geom_point(position=position_dodge(0.4),size=2.2)+
  geom_errorbar(position=position_dodge(0.4),width=0)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.6,0.83),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  scale_shape_manual(values=c(15,15,1,1,1,1),guide=F)+
  ylab("")+xlab("")#+
#guides(col=FALSE)
Grow_SPEC_SBST

#### Mortality ####
## mcrare_nbsp_ST_sc ##
mcrare_nbsp_ST_sc_summary<-summary(mcrare_nbsp_ST_sc)$beta
rownames(mcrare_nbsp_ST_sc_summary)
mortT_multi<-data.table(Source=rownames(mcrare_nbsp_ST_sc_summary),
                        mean.gr=NA,up.gr=NA,low.gr=NA)
mortT_multi$mean.gr<-mcrare_nbsp_ST_sc_summary[,1]
mortT_multi$up.gr<-mcrare_nbsp_ST_sc_summary[,1]+mcrare_nbsp_ST_sc_summary[,2]
mortT_multi$low.gr<-mcrare_nbsp_ST_sc_summary[,1]-mcrare_nbsp_ST_sc_summary[,2]

## mcrare_nbsp_R_ST_sc ##
mcrare_nbsp_R_ST_sc_summary<-summary(mcrare_nbsp_R_ST_sc)$beta
mortT_multi_R<-data.table(Source=rownames(mcrare_nbsp_R_ST_sc_summary),
                          mean.gr=NA,up.gr=NA,low.gr=NA)
mortT_multi_R$mean.gr<-mcrare_nbsp_R_ST_sc_summary[,1]
mortT_multi_R$up.gr<-mcrare_nbsp_R_ST_sc_summary[,1]+mcrare_nbsp_R_ST_sc_summary[,2]
mortT_multi_R$low.gr<-mcrare_nbsp_R_ST_sc_summary[,1]-mcrare_nbsp_R_ST_sc_summary[,2]

## mcrare_nbsp_WS_R_ST_sc ##
mcrare_nbsp_WS_R_ST_sc_summary<-summary(mcrare_nbsp_WS_R_ST_sc)$beta
mortT_multi_R_WS<-data.table(Source=rownames(mcrare_nbsp_WS_R_ST_sc_summary),
                             mean.gr=NA,up.gr=NA,low.gr=NA)
mortT_multi_R_WS$mean.gr<-mcrare_nbsp_WS_R_ST_sc_summary[,1]
mortT_multi_R_WS$up.gr<-mcrare_nbsp_WS_R_ST_sc_summary[,1]+mcrare_nbsp_WS_R_ST_sc_summary[,2]
mortT_multi_R_WS$low.gr<-mcrare_nbsp_WS_R_ST_sc_summary[,1]-mcrare_nbsp_WS_R_ST_sc_summary[,2]

## mcrare_nbsp_TA_R_ST_sc ##
mcrare_nbsp_TA_R_ST_sc_summary<-summary(mcrare_nbsp_TA_R_ST_sc)$beta
mortT_multi_R_TA<-data.table(Source=rownames(mcrare_nbsp_TA_R_ST_sc_summary),
                             mean.gr=NA,up.gr=NA,low.gr=NA)
mortT_multi_R_TA$mean.gr<-mcrare_nbsp_TA_R_ST_sc_summary[,1]
mortT_multi_R_TA$up.gr<-mcrare_nbsp_TA_R_ST_sc_summary[,1]+mcrare_nbsp_TA_R_ST_sc_summary[,2]
mortT_multi_R_TA$low.gr<-mcrare_nbsp_TA_R_ST_sc_summary[,1]-mcrare_nbsp_TA_R_ST_sc_summary[,2]

## mcrare_nbsp_LP_R_ST_sc ##
mcrare_nbsp_LP_R_ST_sc_summary<-summary(mcrare_nbsp_LP_R_ST_sc)$beta
mortT_multi_R_LP<-data.table(Source=rownames(mcrare_nbsp_LP_R_ST_sc_summary),
                             mean.gr=NA,up.gr=NA,low.gr=NA)
mortT_multi_R_LP$mean.gr<-mcrare_nbsp_LP_R_ST_sc_summary[,1]
mortT_multi_R_LP$up.gr<-mcrare_nbsp_LP_R_ST_sc_summary[,1]+mcrare_nbsp_LP_R_ST_sc_summary[,2]
mortT_multi_R_LP$low.gr<-mcrare_nbsp_LP_R_ST_sc_summary[,1]-mcrare_nbsp_LP_R_ST_sc_summary[,2]

## mcrare_nbsp_BP_R_ST_sc ##
mcrare_nbsp_BP_R_ST_sc_summary<-summary(mcrare_nbsp_BP_R_ST_sc)$beta
mortT_multi_R_BP<-data.table(Source=rownames(mcrare_nbsp_BP_R_ST_sc_summary),
                             mean.gr=NA,up.gr=NA,low.gr=NA)
mortT_multi_R_BP$mean.gr<-mcrare_nbsp_BP_R_ST_sc_summary[,1]
mortT_multi_R_BP$up.gr<-mcrare_nbsp_BP_R_ST_sc_summary[,1]+mcrare_nbsp_BP_R_ST_sc_summary[,2]
mortT_multi_R_BP$low.gr<-mcrare_nbsp_BP_R_ST_sc_summary[,1]-mcrare_nbsp_BP_R_ST_sc_summary[,2]

#Bind Each Species Comparison
mortT_multi$model<-"Absolute value of all species"
mortT_multi_R$model<-"Relative value of all species"
mortT_multi_R_WS$model<-"Relative value of white spruce"
mortT_multi_R_TA$model<-"Relative value of tremcling aspen"
mortT_multi_R_LP$model<-"Relative value of lodgepole pine"
mortT_multi_R_BP$model<-"Relative value of balsam poplar"

to_gg<-rbind(mortT_multi,mortT_multi_R,mortT_multi_R_WS,mortT_multi_R_TA,mortT_multi_R_LP)#,mortT_multi_R_BP)

to_gg[Source=="Y_sc",Source:="Y"];to_gg[Source=="logSI_sc",Source:="logSI"]
to_gg[Source=="SpST_sc",Source:="f(CWM_ST)"];to_gg[Source=="quadST_sc",Source:="CWM_ST^2"]
to_gg[Source=="Sprare_nbsp_sc"|Source=="lograre_nbsp_sc",Source:="f(S)"]
to_gg[Source=="Y_sc:Sprare_nbsp_sc"|Source=="Y_sc:lograre_nbsp_sc",Source:="Y*f(S)"]
to_gg[Source=="logBio_sc",Source:="logSB"];to_gg[Source=="logBio_sc:Y_sc",Source:="logSB*Y"]
to_gg[Source=="logBio_sc:Sprare_nbsp_sc"|Source=="logBio_sc:lograre_nbsp_sc",Source:="logSB*f(S)"]
to_gg[Source=="SpST_sc:Y_sc",Source:="f(CWM_ST)*Y"]
to_gg[Source=="quadST_sc:Y_sc",Source:="CWM_ST^2*Y"];to_gg[Source=="SpST_sc:Y_sc",Source:="f(CWM_ST)*Y"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","f(CWM_ST)","CWM_ST^2","logSB","Y","f(S)",
                                           "logSB*Y","logSB*f(S)","f(CWM_ST)*Y","CWM_ST^2*Y","Y*f(S)"))

Mort_SPEC_SBST<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.gr,ymin=low.gr,ymax=up.gr,col=model,shape=model))+
  geom_point(position=position_dodge(0.4),size=2.2)+
  geom_errorbar(position=position_dodge(0.4),width=0)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.75,0.73),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  ylab("")+xlab("")+
  scale_shape_manual(values=c(15,15,1,1,1,1),guide=F)+
  guides(col=FALSE)
Mort_SPEC_SBST

#### Net biomass change ####
## marare_nbsp_ST_sc ##
marare_nbsp_ST_sc_summary<-summary(marare_nbsp_ST_sc)$beta
rownames(marare_nbsp_ST_sc_summary)
nbcT_multi<-data.table(Source=rownames(marare_nbsp_ST_sc_summary),
                       mean.gr=NA,up.gr=NA,low.gr=NA)
nbcT_multi$mean.gr<-marare_nbsp_ST_sc_summary[,1]
nbcT_multi$up.gr<-marare_nbsp_ST_sc_summary[,1]+marare_nbsp_ST_sc_summary[,2]
nbcT_multi$low.gr<-marare_nbsp_ST_sc_summary[,1]-marare_nbsp_ST_sc_summary[,2]

## marare_nbsp_R_ST_sc ##
marare_nbsp_R_ST_sc_summary<-summary(marare_nbsp_R_ST_sc)$beta
nbcT_multi_R<-data.table(Source=rownames(marare_nbsp_R_ST_sc_summary),
                         mean.gr=NA,up.gr=NA,low.gr=NA)
nbcT_multi_R$mean.gr<-marare_nbsp_R_ST_sc_summary[,1]
nbcT_multi_R$up.gr<-marare_nbsp_R_ST_sc_summary[,1]+marare_nbsp_R_ST_sc_summary[,2]
nbcT_multi_R$low.gr<-marare_nbsp_R_ST_sc_summary[,1]-marare_nbsp_R_ST_sc_summary[,2]

## marare_nbsp_WS_R_ST_sc ##
marare_nbsp_WS_R_ST_sc_summary<-summary(marare_nbsp_WS_R_ST_sc)$beta
nbcT_multi_R_WS<-data.table(Source=rownames(marare_nbsp_WS_R_ST_sc_summary),
                            mean.gr=NA,up.gr=NA,low.gr=NA)
nbcT_multi_R_WS$mean.gr<-marare_nbsp_WS_R_ST_sc_summary[,1]
nbcT_multi_R_WS$up.gr<-marare_nbsp_WS_R_ST_sc_summary[,1]+marare_nbsp_WS_R_ST_sc_summary[,2]
nbcT_multi_R_WS$low.gr<-marare_nbsp_WS_R_ST_sc_summary[,1]-marare_nbsp_WS_R_ST_sc_summary[,2]

## marare_nbsp_TA_R_ST_sc ##
marare_nbsp_TA_R_ST_sc_summary<-summary(marare_nbsp_TA_R_ST_sc)$beta
nbcT_multi_R_TA<-data.table(Source=rownames(marare_nbsp_TA_R_ST_sc_summary),
                            mean.gr=NA,up.gr=NA,low.gr=NA)
nbcT_multi_R_TA$mean.gr<-marare_nbsp_TA_R_ST_sc_summary[,1]
nbcT_multi_R_TA$up.gr<-marare_nbsp_TA_R_ST_sc_summary[,1]+marare_nbsp_TA_R_ST_sc_summary[,2]
nbcT_multi_R_TA$low.gr<-marare_nbsp_TA_R_ST_sc_summary[,1]-marare_nbsp_TA_R_ST_sc_summary[,2]

## marare_nbsp_LP_R_ST_sc ##
marare_nbsp_LP_R_ST_sc_summary<-summary(marare_nbsp_LP_R_ST_sc)$beta
nbcT_multi_R_LP<-data.table(Source=rownames(marare_nbsp_LP_R_ST_sc_summary),
                            mean.gr=NA,up.gr=NA,low.gr=NA)
nbcT_multi_R_LP$mean.gr<-marare_nbsp_LP_R_ST_sc_summary[,1]
nbcT_multi_R_LP$up.gr<-marare_nbsp_LP_R_ST_sc_summary[,1]+marare_nbsp_LP_R_ST_sc_summary[,2]
nbcT_multi_R_LP$low.gr<-marare_nbsp_LP_R_ST_sc_summary[,1]-marare_nbsp_LP_R_ST_sc_summary[,2]

## marare_nbsp_BP_R_ST_sc ##
marare_nbsp_BP_R_ST_sc_summary<-summary(marare_nbsp_BP_R_ST_sc)$beta
nbcT_multi_R_BP<-data.table(Source=rownames(marare_nbsp_BP_R_ST_sc_summary),
                            mean.gr=NA,up.gr=NA,low.gr=NA)
nbcT_multi_R_BP$mean.gr<-marare_nbsp_BP_R_ST_sc_summary[,1]
nbcT_multi_R_BP$up.gr<-marare_nbsp_BP_R_ST_sc_summary[,1]+marare_nbsp_BP_R_ST_sc_summary[,2]
nbcT_multi_R_BP$low.gr<-marare_nbsp_BP_R_ST_sc_summary[,1]-marare_nbsp_BP_R_ST_sc_summary[,2]

#Bind Each Species Comparison
nbcT_multi$model<-"Absolute value of all species"
nbcT_multi_R$model<-"Relative value of all species"
nbcT_multi_R_WS$model<-"Relative value of white spruce"
nbcT_multi_R_TA$model<-"Relative value of tremaling aspen"
nbcT_multi_R_LP$model<-"Relative value of lodgepole pine"
nbcT_multi_R_BP$model<-"Relative value of balsam poplar"

to_gg<-rbind(nbcT_multi,nbcT_multi_R,nbcT_multi_R_WS,nbcT_multi_R_TA,nbcT_multi_R_LP)#,nbcT_multi_R_BP)

to_gg[Source=="Y_sc",Source:="Y"];to_gg[Source=="logSI_sc",Source:="logSI"]
to_gg[Source=="SpST_sc",Source:="f(CWM_ST)"];to_gg[Source=="quadST_sc",Source:="CWM_ST^2"]
to_gg[Source=="lograre_nbsp_sc",Source:="logS"];to_gg[Source=="Y_sc:lograre_nbsp_sc",Source:="Y*logS"]
to_gg[Source=="logBio_sc",Source:="logSB"];to_gg[Source=="logBio_sc:Y_sc",Source:="logSB*Y"]
to_gg[Source=="logBio_sc:lograre_nbsp_sc",Source:="logSB*logS"];to_gg[Source=="SpST_sc:Y_sc",Source:="f(CWM_ST)*Y"]
to_gg[Source=="quadST_sc:Y_sc",Source:="CWM_ST^2*Y"];to_gg[Source=="SpST_sc:Y_sc",Source:="f(CWM_ST)*Y"]

to_gg$Source<-as.factor(to_gg$Source)
to_gg$Source<-factor(to_gg$Source,levels=c("logSI","f(CWM_ST)","CWM_ST^2","logSB","Y","logS",
                                           "logSB*Y","logSB*logS","f(CWM_ST)*Y","CWM_ST^2*Y","Y*logS"))

NBC_SPEC_SBST<-ggplot(to_gg[to_gg$Source!="Int"],aes(x=Source,y=mean.gr,ymin=low.gr,ymax=up.gr,col=model,shape=model))+
  geom_point(position=position_dodge(0.4),size=2.2)+
  geom_errorbar(position=position_dodge(0.4),width=0)+
  theme_classic()+
  geom_hline(aes(yintercept=0),linetype="dotted")+
  scale_color_discrete(name="Model")+
  theme(legend.position=c(0.75,0.73),
        axis.text.x=element_text(angle=30,vjust=0.5,size=10))+
  scale_shape_manual(values=c(15,15,1,1,1,1),guide=F)+
  ylab("")+xlab("")+
  guides(col=FALSE)
NBC_SPEC_SBST

## to save Figure
############## Bind Gr, M, NBC ##############
f1<-ggplot_gtable(ggplot_build(Grow_SPEC))
f2<-ggplot_gtable(ggplot_build(Mort_SPEC))
f3<-ggplot_gtable(ggplot_build(NBC_SPEC))

maxWidth = unit.pmax(f1$widths[2:3], f2$widths[2:3], f3$widths[2:3])

f1$widths[2:3] <- maxWidth
f2$widths[2:3] <- maxWidth
f3$widths[2:3] <- maxWidth

maxheight = unit.pmax(f1$heights[2:3], f2$heights[2:3], f3$heights[2:3])

f1$heights[2:3] <- maxheight
f2$heights[2:3] <- maxheight
f3$heights[2:3] <- maxheight

g1<-ggplot_gtable(ggplot_build(Grow_SPEC_SBST))
g2<-ggplot_gtable(ggplot_build(Mort_SPEC_SBST))
g3<-ggplot_gtable(ggplot_build(NBC_SPEC_SBST))

maxWidth = unit.pmax(g1$widths[2:3], g2$widths[2:3], g3$widths[2:3])

g1$widths[2:3] <- maxWidth
g2$widths[2:3] <- maxWidth
g3$widths[2:3] <- maxWidth

maxheight = unit.pmax(g1$heights[2:3], g2$heights[2:3], g3$heights[2:3])

g1$heights[2:3] <- maxheight
g2$heights[2:3] <- maxheight
g3$heights[2:3] <- maxheight

tiff("FigSab_Individual_SPEC_Comparison_HossfeldSI.tiff",width=3500,height=4200,res=300,compression="lzw")
grid.draw(cbind(rbind(f1,f2,f3,size="last"),rbind(g1,g2,g3,size="first"),size="first"))
grid.text("A",x=unit(0.025,"npc"),y=unit(0.994,"npc"),gp=gpar(fontsize=16,font=2))
grid.text("B",x=unit(0.525,"npc"),y=unit(0.994,"npc"),gp=gpar(fontsize=16,font=2))
grid.text("Growth",x=unit(0.08,"npc"),y=unit(0.994,"npc"),gp=gpar(fontsize=16),just="left")
grid.text("Mortality",x=unit(0.08,"npc"),y=unit(0.66,"npc"),gp=gpar(fontsize=16),just="left")
grid.text("Net biomass change",x=unit(0.08,"npc"),y=unit(0.33,"npc"),gp=gpar(fontsize=16),just="left")

dev.off()

