################################ MULTIPLE CLIMATE ################################
### Fig.3 ###
#To adjust ATA1 for X axis (because ATA range is smaller than the other variables; later devide by 10)
absk[,ATA1_10:=ATA1*10]

### Model global change drivers simultaneously
load("fitme_MULTI_Grow_HossfeldSI.R")
load("fitme_MULTI_Mort_HossfeldSI.R")
load("fitme_MULTI_NBC_HossfeldSI.R")

mbrare_nbspCAC_summary<-summary(mbrare_nbspCAC)$beta
mcrare_nbspCAC_summary<-summary(mcrare_nbspCAC)$beta
marare_nbspCAC_summary<-summary(marare_nbspCAC)$beta

mbrare_nbspCAC_Pval<-summary(mbrare_nbspCAC)$beta
Pval<-2*pt(-abs(mbrare_nbspCAC_Pval[,"t-value"]), df=2544-(871+681+13+1)) %>% as.data.frame()
mbrare_nbspCAC_Pval<-as.data.frame(mbrare_nbspCAC_Pval)
mbrare_nbspCAC_Pval$Pval<-Pval[[1]]
mbrare_nbspCAC_Pval

mcrare_nbspCAC_Pval<-summary(mcrare_nbspCAC)$beta
Pval<-2*pt(-abs(mcrare_nbspCAC_Pval[,"t-value"]), df=2544-(871+681+13+1)) %>% as.data.frame()
mcrare_nbspCAC_Pval<-as.data.frame(mcrare_nbspCAC_Pval)
mcrare_nbspCAC_Pval$Pval<-Pval[[1]]
mcrare_nbspCAC_Pval

marare_nbspCAC_Pval<-summary(marare_nbspCAC)$beta
Pval<-2*pt(-abs(marare_nbspCAC_Pval[,"t-value"]), df=2544-(871+681+13+1)) %>% as.data.frame()
marare_nbspCAC_Pval<-as.data.frame(marare_nbspCAC_Pval)
marare_nbspCAC_Pval$Pval<-Pval[[1]]
marare_nbspCAC_Pval

## CO2
#Growth
coefmean<-mbrare_nbspCAC_summary[, 1]
SE<-mbrare_nbspCAC_summary[, 2]
coef_rare<-function(x){
  rare=x
  data.table(mean=coefmean["(Intercept)"]+
               (coefmean["CO21"]*(seq(min(absk$CO21),max(absk$CO21),length=600)))+
               (coefmean["lograre_nbsp"]*rare)+
               (coefmean["CO21:lograre_nbsp"]*rare*(seq(min(absk$CO21),max(absk$CO21),length=600))),
             up=coefmean["(Intercept)"]+SE["(Intercept)"]+
               ((coefmean["CO21"]+SE["CO21"])*(seq(min(absk$CO21),max(absk$CO21),length=600)))+
               ((coefmean["lograre_nbsp"]+SE["lograre_nbsp"])*rare)+
               ((coefmean["CO21:lograre_nbsp"]+SE["CO21:lograre_nbsp"])*rare*(seq(min(absk$CO21),max(absk$CO21),length=600))),
             low=coefmean["(Intercept)"]-SE["(Intercept)"]+
               ((coefmean["CO21"]-SE["CO21"])*(seq(min(absk$CO21),max(absk$CO21),length=600)))+
               ((coefmean["lograre_nbsp"]-SE["lograre_nbsp"])*rare)+
               ((coefmean["CO21:lograre_nbsp"]-SE["CO21:lograre_nbsp"])*rare*(seq(min(absk$CO21),max(absk$CO21),length=600))),
             CO21=seq(min(absk$CO21),max(absk$CO21),length=600),
             CO2=seq(min(absk$CO21),max(absk$CO21),length=600)+mean(absk$CO2),
             Rare_Spec=rare)
}

to_graph<-adply(round(c(seq(min(absk$lograre_nbsp),max(absk$lograre_nbsp),length=5),0),3),.margins=1,.fun=function(x)coef_rare(x))
to_graph$Rare_Spec<-as.factor(to_graph$Rare_Spec)

Grow.CO2<-ggplot(to_graph,aes(x=CO2,y=mean,col=Rare_Spec))+
  theme_classic()+
  geom_ribbon(aes(x=CO2,ymin=low,ymax=up,group=Rare_Spec),fill="royalblue",col=NA,alpha=0.12)+
  geom_line(size=1.1)+
  scale_colour_manual(values=c("mediumpurple","cyan1","black","limegreen","darkorange1","deeppink"),name="Rarefied richness",
                      labels=c("-0.83841231"="1.00", "-0.4126802475"="2.12","0.013051815"="3.25",
                               "0.4387838775"="4.37","0.86451594"="5.31","0"="Mean"))+
  xlab("")+
  ylab(expression(paste("Growth (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.title.x=element_blank(), axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.line.x= element_blank(), axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))+
  scale_y_continuous(breaks = c(2,3,4))+
  guides(col=FALSE)
Grow.CO2<-Grow.CO2+annotate("text",x= 345,y=4.4,label="CO[2]:~italic(P) < 0.001~(italic(t)==2.01)",parse=TRUE,size=3.5)
Grow.CO2<-Grow.CO2+annotate("text",x= 345,y=4.2,label="CO[2]%*%ln(italic(S)):~italic(P) < 0.001~(italic(t)==4.40)",parse=TRUE,size=3.5)
Grow.CO2

mbrare_nbspCAC_Pval

#Mortality
coefmean<-mcrare_nbspCAC_summary[, 1]
SE<-mcrare_nbspCAC_summary[, 2]
coef_rare<-function(x){
  rare=x
  data.table(mean=coefmean["(Intercept)"]+
               (coefmean["CO21"]*(seq(min(absk$CO21),max(absk$CO21),length=600)))+
               (coefmean["Sprare_nbsp"]*rare)+
               (coefmean["CO21:Sprare_nbsp"]*rare*(seq(min(absk$CO21),max(absk$CO21),length=600))),
             up=coefmean["(Intercept)"]+SE["(Intercept)"]+
               ((coefmean["CO21"]+SE["CO21"])*(seq(min(absk$CO21),max(absk$CO21),length=600)))+
               ((coefmean["Sprare_nbsp"]+SE["Sprare_nbsp"])*rare)+
               ((coefmean["CO21:Sprare_nbsp"]+SE["CO21:Sprare_nbsp"])*rare*(seq(min(absk$CO21),max(absk$CO21),length=600))),
             low=coefmean["(Intercept)"]-SE["(Intercept)"]+
               ((coefmean["CO21"]-SE["CO21"])*(seq(min(absk$CO21),max(absk$CO21),length=600)))+
               ((coefmean["Sprare_nbsp"]-SE["Sprare_nbsp"])*rare)+
               ((coefmean["CO21:Sprare_nbsp"]-SE["CO21:Sprare_nbsp"])*rare*(seq(min(absk$CO21),max(absk$CO21),length=600))),
             CO21=seq(min(absk$CO21),max(absk$CO21),length=600),
             CO2=seq(min(absk$CO21),max(absk$CO21),length=600)+mean(absk$CO2),
             Rare_Spec=rare)
}

to_graph<-adply(round(c(seq(min(absk$Sprare_nbsp),max(absk$Sprare_nbsp),length=5),0),3),.margins=1,.fun=function(x)coef_rare(x))
to_graph$Rare_Spec<-as.factor(to_graph$Rare_Spec)

Mort.CO2<-ggplot(to_graph,aes(x=CO2,y=mean,col=Rare_Spec,linetype=Rare_Spec,size=Rare_Spec))+
  theme_classic()+
  geom_ribbon(aes(x=CO2,ymin=low,ymax=up,group=Rare_Spec),fill="royalblue",col=NA,alpha=0.12)+
  geom_line()+
  scale_size_manual(values=c(0.5,0.5,1.1,0.5,0.5,0.5),guide=F)+
  scale_linetype_manual(values = c("dashed","dashed","solid","dashed","dashed","dashed"),guide=F)+
  scale_colour_manual(values=c("mediumpurple","cyan1","black","limegreen","darkorange1","deeppink"),name="Rarefied richness",
                      labels=c("-0.83841231"="1.00", "-0.4126802475"="2.12","0.013051815"="3.25",
                               "0.4387838775"="4.37","0.86451594"="5.31","0"="Mean"))+
  xlab("")+
  ylab(expression(paste("Mortality (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.title.x=element_blank(), axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.line.x= element_blank(), axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))+
  #scale_y_continuous(breaks = c(1,2,3))+
  #coord_cartesian(ylim = c(0,8),expand = FALSE)+ #to cut predicted negative values
  guides(col=FALSE)
Mort.CO2<-Mort.CO2+annotate("text",x= 345,y=3.0,label="CO[2]:~italic(P) == 0.063~(italic(t)==1.86)",parse=TRUE,size=3.5)
Mort.CO2<-Mort.CO2+annotate("text",x= 345,y=2.8,label="CO[2]%*%italic(S):~italic(P) == 0.915~(italic(t)==-0.11)",parse=TRUE,size=3.5)+
  scale_y_continuous(breaks=c(1,2,3))
Mort.CO2

mcrare_nbspCAC_Pval

#NBC
coefmean<-marare_nbspCAC_summary[, 1]
SE<-marare_nbspCAC_summary[, 2]
coef_rare<-function(x){
  rare=x
  data.table(mean=coefmean["(Intercept)"]+
               (coefmean["CO21"]*(seq(min(absk$CO21),max(absk$CO21),length=600)))+
               (coefmean["lograre_nbsp"]*rare)+
               (coefmean["CO21:lograre_nbsp"]*rare*(seq(min(absk$CO21),max(absk$CO21),length=600))),
             up=coefmean["(Intercept)"]+SE["(Intercept)"]+
               ((coefmean["CO21"]+SE["CO21"])*(seq(min(absk$CO21),max(absk$CO21),length=600)))+
               ((coefmean["lograre_nbsp"]+SE["lograre_nbsp"])*rare)+
               ((coefmean["CO21:lograre_nbsp"]+SE["CO21:lograre_nbsp"])*rare*(seq(min(absk$CO21),max(absk$CO21),length=600))),
             low=coefmean["(Intercept)"]-SE["(Intercept)"]+
               ((coefmean["CO21"]-SE["CO21"])*(seq(min(absk$CO21),max(absk$CO21),length=600)))+
               ((coefmean["lograre_nbsp"]-SE["lograre_nbsp"])*rare)+
               ((coefmean["CO21:lograre_nbsp"]-SE["CO21:lograre_nbsp"])*rare*(seq(min(absk$CO21),max(absk$CO21),length=600))),
             CO21=seq(min(absk$CO21),max(absk$CO21),length=600),
             CO2=seq(min(absk$CO21),max(absk$CO21),length=600)+mean(absk$CO2),
             Rare_Spec=rare)
}

to_graph<-adply(round(c(seq(min(absk$lograre_nbsp),max(absk$lograre_nbsp),length=5),0),3),.margins=1,.fun=function(x)coef_rare(x))
to_graph$Rare_Spec<-as.factor(to_graph$Rare_Spec)

Net.CO2<-ggplot(to_graph,aes(x=CO2,y=mean,col=Rare_Spec,linetype=Rare_Spec,size=Rare_Spec))+
  theme_classic()+
  geom_ribbon(aes(x=CO2,ymin=low,ymax=up,group=Rare_Spec),fill="royalblue",col=NA,alpha=0.12)+
  geom_line()+
  scale_size_manual(values=c(0.5,0.5,1.1,0.5,0.5,0.5),guide=F)+
  scale_linetype_manual(values = c("dashed","dashed","solid","dashed","dashed","dashed"),guide=F)+
  scale_colour_manual(values=c("mediumpurple","cyan1","black","limegreen","darkorange1","deeppink"),name="Rarefied richness",
                      labels=c("-0.83841231"="1.00", "-0.4126802475"="2.12","0.013051815"="3.25",
                               "0.4387838775"="4.37","0.86451594"="5.31","0"="Mean"))+
  xlab(expression(paste(CO[2], " (ppm)")))+
  ylab(expression(paste("Net biomass change (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))+
  guides(col=FALSE)#+
  #scale_y_continuous(breaks = c(0,1,2))
Net.CO2<-Net.CO2+annotate("text",x= 345,y=2.6,label="CO[2]:~italic(P) == '0.520'~(italic(t)==-0.64)",parse=TRUE,size=3.5)
Net.CO2<-Net.CO2+annotate("text",x= 345,y=2.4,label="CO[2]%*%ln(italic(S)):~italic(P) == 0.119~(italic(t)==1.56)",parse=TRUE,size=3.5)
Net.CO2

marare_nbspCAC_Pval

## ATA
#Growth
coefmean<-mbrare_nbspCAC_summary[, 1]
SE<-mbrare_nbspCAC_summary[, 2]
coef_rare<-function(x){
  rare=x
  data.table(mean=coefmean["(Intercept)"]+
               (coefmean["ATA1_10"]*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600)))+
               (coefmean["lograre_nbsp"]*rare)+
               (coefmean["ATA1_10:lograre_nbsp"]*rare*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600))),
             up=coefmean["(Intercept)"]+SE["(Intercept)"]+
               ((coefmean["ATA1_10"]+SE["ATA1_10"])*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600)))+
               ((coefmean["lograre_nbsp"]+SE["lograre_nbsp"])*rare)+
               ((coefmean["ATA1_10:lograre_nbsp"]+SE["ATA1_10:lograre_nbsp"])*rare*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600))),
             low=coefmean["(Intercept)"]-SE["(Intercept)"]+
               ((coefmean["ATA1_10"]-SE["ATA1_10"])*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600)))+
               ((coefmean["lograre_nbsp"]-SE["lograre_nbsp"])*rare)+
               ((coefmean["ATA1_10:lograre_nbsp"]-SE["ATA1_10:lograre_nbsp"])*rare*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600))),
             ATA1_10=seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600),
             ATA=seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600)+mean(absk$ATA),
             Rare_Spec=rare)
}

to_graph<-adply(round(c(seq(min(absk$lograre_nbsp),max(absk$lograre_nbsp),length=5),0),3),.margins=1,.fun=function(x)coef_rare(x))
to_graph$Rare_Spec<-as.factor(to_graph$Rare_Spec)

Grow.ATA<-ggplot(to_graph,aes(x=ATA/10,y=mean,col=Rare_Spec,linetype=Rare_Spec))+
  theme_classic()+
  geom_ribbon(aes(x=ATA/10,ymin=low,ymax=up,group=Rare_Spec),fill="royalblue",col=NA,alpha=0.12)+
  geom_line()+
  scale_linetype_manual(values = c("dashed","dashed","solid","dashed","dashed","dashed"),guide=F)+
  scale_colour_manual(values=c("mediumpurple","cyan1","black","limegreen","darkorange1","deeppink"),name="Rarefied richness",
                      labels=c("-0.83841231"="1.00", "-0.4126802475"="2.12","0.013051815"="3.25",
                               "0.4387838775"="4.37","0.86451594"="5.31","0"="Mean"))+
  xlab("")+
  ylab(expression(paste("Growth (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.title.x=element_blank(), axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.line.x= element_blank(), axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))+
  guides(col=FALSE)+
  scale_y_continuous(breaks = c(2,3))
Grow.ATA<-Grow.ATA+annotate("text",x= 0.1,y=3.9,label="ATA:~italic(P) < 0.001~(italic(t)==-4.77)",parse=TRUE,size=3.5)
Grow.ATA<-Grow.ATA+annotate("text",x= 0.1,y=3.7,label="ATA%*%ln(italic(S)):~italic(P) == 0.653~(italic(t)==-0.45)",parse=TRUE,size=3.5)
Grow.ATA

mbrare_nbspCAC_Pval

#Mortality
coefmean<-mcrare_nbspCAC_summary[, 1]
SE<-mcrare_nbspCAC_summary[, 2]
coef_rare<-function(x){
  rare=x
  data.table(mean=coefmean["(Intercept)"]+
               (coefmean["ATA1_10"]*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600)))+
               (coefmean["Sprare_nbsp"]*rare)+
               (coefmean["ATA1_10:Sprare_nbsp"]*rare*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600))),
             up=coefmean["(Intercept)"]+SE["(Intercept)"]+
               ((coefmean["ATA1_10"]+SE["ATA1_10"])*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600)))+
               ((coefmean["Sprare_nbsp"]+SE["Sprare_nbsp"])*rare)+
               ((coefmean["ATA1_10:Sprare_nbsp"]+SE["ATA1_10:Sprare_nbsp"])*rare*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600))),
             low=coefmean["(Intercept)"]-SE["(Intercept)"]+
               ((coefmean["ATA1_10"]-SE["ATA1_10"])*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600)))+
               ((coefmean["Sprare_nbsp"]-SE["Sprare_nbsp"])*rare)+
               ((coefmean["ATA1_10:Sprare_nbsp"]-SE["ATA1_10:Sprare_nbsp"])*rare*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600))),
             ATA1_10=seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600),
             ATA=seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600)+mean(absk$ATA),
             Rare_Spec=rare)
}

to_graph<-adply(round(c(seq(min(absk$Sprare_nbsp),max(absk$Sprare_nbsp),length=5),0),3),.margins=1,.fun=function(x)coef_rare(x))
to_graph$Rare_Spec<-as.factor(to_graph$Rare_Spec)

Mort.ATA<-ggplot(to_graph,aes(x=ATA/10,y=mean,col=Rare_Spec,linetype=Rare_Spec,size=Rare_Spec))+
  theme_classic()+
  geom_ribbon(aes(x=ATA/10,ymin=low,ymax=up,group=Rare_Spec),fill="royalblue",col=NA,alpha=0.12)+
  geom_line()+
  scale_size_manual(values=c(0.5,0.5,1.1,0.5,0.5,0.5),guide=F)+
  scale_linetype_manual(values = c("dashed","dashed","solid","dashed","dashed","dashed"),guide=F)+
  scale_colour_manual(values=c("mediumpurple","cyan1","black","limegreen","darkorange1","deeppink"),name="Rarefied richness",
                      labels=c("-0.83841231"="1.00", "-0.4126802475"="2.12","0.013051815"="3.25",
                               "0.4387838775"="4.37","0.86451594"="5.31","0"="Mean"))+
  xlab("")+
  ylab(expression(paste("Mortality (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.title.x=element_blank(), axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.line.x= element_blank(), axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))+
  scale_y_continuous(breaks = c(1,2))+
  guides(col=FALSE)
Mort.ATA<-Mort.ATA+annotate("text",x= 0.1,y=2.8,label="ATA:~italic(P) < 0.001~(italic(t)==3.31)",parse=TRUE,size=3.5)
Mort.ATA<-Mort.ATA+annotate("text",x= 0.1,y=2.6,label="ATA%*%italic(S):~italic(P) == 0.158~(italic(t)==-1.41)",parse=TRUE,size=3.5)
Mort.ATA

mcrare_nbspCAC_Pval

#NBC
coefmean<-marare_nbspCAC_summary[, 1]
SE<-marare_nbspCAC_summary[, 2]
coef_rare<-function(x){
  rare=x
  data.table(mean=coefmean["(Intercept)"]+
               (coefmean["ATA1_10"]*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600)))+
               (coefmean["lograre_nbsp"]*rare)+
               (coefmean["ATA1_10:lograre_nbsp"]*rare*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600))),
             up=coefmean["(Intercept)"]+SE["(Intercept)"]+
               ((coefmean["ATA1_10"]+SE["ATA1_10"])*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600)))+
               ((coefmean["lograre_nbsp"]+SE["lograre_nbsp"])*rare)+
               ((coefmean["ATA1_10:lograre_nbsp"]+SE["ATA1_10:lograre_nbsp"])*rare*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600))),
             low=coefmean["(Intercept)"]-SE["(Intercept)"]+
               ((coefmean["ATA1_10"]-SE["ATA1_10"])*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600)))+
               ((coefmean["lograre_nbsp"]-SE["lograre_nbsp"])*rare)+
               ((coefmean["ATA1_10:lograre_nbsp"]-SE["ATA1_10:lograre_nbsp"])*rare*(seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600))),
             ATA1_10=seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600),
             ATA=seq(min(absk$ATA1_10),max(absk$ATA1_10),length=600)+mean(absk$ATA),
             Rare_Spec=rare)
}

to_graph<-adply(round(c(seq(min(absk$lograre_nbsp),max(absk$lograre_nbsp),length=5),0),3),.margins=1,.fun=function(x)coef_rare(x))
to_graph$Rare_Spec<-as.factor(to_graph$Rare_Spec)

Net.ATA<-ggplot(to_graph,aes(x=ATA/10,y=mean,col=Rare_Spec,linetype=Rare_Spec,size=Rare_Spec))+
  theme_classic()+
  geom_ribbon(aes(x=ATA/10,ymin=low,ymax=up,group=Rare_Spec),fill="royalblue",col=NA,alpha=0.12)+
  geom_line()+
  scale_size_manual(values=c(0.5,0.5,1.1,0.5,0.5,0.5),guide=F)+
  scale_linetype_manual(values = c("dashed","dashed","solid","dashed","dashed","dashed"),guide=F)+
  scale_colour_manual(values=c("mediumpurple","cyan1","black","limegreen","darkorange1","deeppink"),name="Rarefied richness",
                      labels=c("-0.83841231"="1.00", "-0.4126802475"="2.12","0.013051815"="3.25",
                               "0.4387838775"="4.37","0.86451594"="5.31","0"="Mean"))+
  xlab(expression(paste("ATA (",~degree*C,")")))+
  ylab(expression(paste("Net biomass change (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))+
  guides(col=FALSE)+
  scale_y_continuous(breaks = c(0,1,2))
Net.ATA<-Net.ATA+annotate("text",x= 0.1,y=2.5,label="ATA:~italic(P) < 0.001~(italic(t)==-4.83)",parse=TRUE,size=3.5)
Net.ATA<-Net.ATA+annotate("text",x= 0.1,y=2.2,label="ATA%*%ln(italic(S)):~italic(P) == 0.331~(italic(t)==0.97)",parse=TRUE,size=3.5)#became significant after CorSpher
Net.ATA

marare_nbspCAC_Pval

## CMI
#Growth
coefmean<-mbrare_nbspCAC_summary[, 1]
SE<-mbrare_nbspCAC_summary[, 2]
coef_rare<-function(x){
  rare=x
  data.table(mean=coefmean["(Intercept)"]+
               (coefmean["CMI1"]*(seq(min(absk$CMI1),max(absk$CMI1),length=600)))+
               (coefmean["lograre_nbsp"]*rare)+
               (coefmean["CMI1:lograre_nbsp"]*rare*(seq(min(absk$CMI1),max(absk$CMI1),length=600))),
             up=coefmean["(Intercept)"]+SE["(Intercept)"]+
               ((coefmean["CMI1"]+SE["CMI1"])*(seq(min(absk$CMI1),max(absk$CMI1),length=600)))+
               ((coefmean["lograre_nbsp"]+SE["lograre_nbsp"])*rare)+
               ((coefmean["CMI1:lograre_nbsp"]+SE["CMI1:lograre_nbsp"])*rare*(seq(min(absk$CMI1),max(absk$CMI1),length=600))),
             low=coefmean["(Intercept)"]-SE["(Intercept)"]+
               ((coefmean["CMI1"]-SE["CMI1"])*(seq(min(absk$CMI1),max(absk$CMI1),length=600)))+
               ((coefmean["lograre_nbsp"]-SE["lograre_nbsp"])*rare)+
               ((coefmean["CMI1:lograre_nbsp"]-SE["CMI1:lograre_nbsp"])*rare*(seq(min(absk$CMI1),max(absk$CMI1),length=600))),
             CMI1=seq(min(absk$CMI1),max(absk$CMI1),length=600),
             ACMIA=seq(min(absk$CMI1),max(absk$CMI1),length=600)+mean(absk$ACMIA),
             Rare_Spec=rare)
}

to_graph<-adply(round(c(seq(min(absk$lograre_nbsp),max(absk$lograre_nbsp),length=5),0),3),.margins=1,.fun=function(x)coef_rare(x))
to_graph$Rare_Spec<-as.factor(to_graph$Rare_Spec)

Grow.ACMIA<-ggplot(to_graph,aes(x=ACMIA,y=mean,col=Rare_Spec,linetype=Rare_Spec,size=Rare_Spec))+
  theme_classic()+
  geom_ribbon(aes(x=ACMIA,ymin=low,ymax=up,group=Rare_Spec),fill="royalblue",col=NA,alpha=0.12)+
  geom_line()+
  scale_size_manual(values=c(0.5,0.5,1.1,0.5,0.5,0.5),guide=F)+
  scale_linetype_manual(values = c("dashed","dashed","solid","dashed","dashed","dashed"),guide=F)+
  scale_colour_manual(values=c("mediumpurple","cyan1","black","limegreen","darkorange1","deeppink"),name="Rarefied richness",
                      labels=c("-0.76"="1.00", "-0.342"="2.08","0.075"="3.15",
                               "0.493"="4.23","0.91"="5.31","0"="Mean (2.30)"))+
  xlab("")+
  ylab(expression(paste("Growth (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.title.x=element_blank(), axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.line.x= element_blank(), axis.line.y = element_line(),
        legend.text = element_text(size=10),legend.text.align = 0.5,
        legend.title = element_text(size=12),legend.title.align =0.5,
        legend.background = element_rect(fill = NA, colour = NA))+
  scale_y_continuous(breaks = c(2,3))#+
  #guides(col=FALSE)
Grow.ACMIA<-Grow.ACMIA+annotate("text",x= 1.1,y=3.8,label="ACMIA:~italic(P) < 0.001~(italic(t)==3.76)",parse=TRUE,size=3.5)
Grow.ACMIA<-Grow.ACMIA+annotate("text",x= 1.1,y=3.6,label="ACMIA%*%ln(italic(S)):~italic(P) == 0.098~(italic(t)==-1.66)",parse=TRUE,size=3.5)
Grow.ACMIA

mbrare_nbspCAC_Pval

#Mortality
coefmean<-mcrare_nbspCAC_summary[, 1]
SE<-mcrare_nbspCAC_summary[, 2]
coef_rare<-function(x){
  rare=x
  data.table(mean=coefmean["(Intercept)"]+
               (coefmean["CMI1"]*(seq(min(absk$CMI1),max(absk$CMI1),length=600)))+
               (coefmean["Sprare_nbsp"]*rare)+
               (coefmean["CMI1:Sprare_nbsp"]*rare*(seq(min(absk$CMI1),max(absk$CMI1),length=600))),
             up=coefmean["(Intercept)"]+SE["(Intercept)"]+
               ((coefmean["CMI1"]+SE["CMI1"])*(seq(min(absk$CMI1),max(absk$CMI1),length=600)))+
               ((coefmean["Sprare_nbsp"]+SE["Sprare_nbsp"])*rare)+
               ((coefmean["CMI1:Sprare_nbsp"]+SE["CMI1:Sprare_nbsp"])*rare*(seq(min(absk$CMI1),max(absk$CMI1),length=600))),
             low=coefmean["(Intercept)"]-SE["(Intercept)"]+
               ((coefmean["CMI1"]-SE["CMI1"])*(seq(min(absk$CMI1),max(absk$CMI1),length=600)))+
               ((coefmean["Sprare_nbsp"]-SE["Sprare_nbsp"])*rare)+
               ((coefmean["CMI1:Sprare_nbsp"]-SE["CMI1:Sprare_nbsp"])*rare*(seq(min(absk$CMI1),max(absk$CMI1),length=600))),
             CMI1=seq(min(absk$CMI1),max(absk$CMI1),length=600),
             ACMIA=seq(min(absk$CMI1),max(absk$CMI1),length=600)+mean(absk$ACMIA),
             Rare_Spec=rare)
}

to_graph<-adply(round(c(seq(min(absk$Sprare_nbsp),max(absk$Sprare_nbsp),length=5),0),3),.margins=1,.fun=function(x)coef_rare(x))
to_graph$Rare_Spec<-as.factor(to_graph$Rare_Spec)

Mort.ACMIA<-ggplot(to_graph,aes(x=ACMIA,y=mean,col=Rare_Spec,linetype=Rare_Spec,size=Rare_Spec))+
  theme_classic()+
  geom_ribbon(aes(x=ACMIA,ymin=low,ymax=up,group=Rare_Spec),fill="royalblue",col=NA,alpha=0.12)+
  geom_line(size =1.1)+
  scale_size_manual(values=c(0.5,0.5,1.1,0.5,0.5,0.5),guide=F)+
  scale_linetype_manual(values = c("solid","solid","solid","solid","solid","solid"),guide=F)+
  scale_colour_manual(values=c("mediumpurple","cyan1","black","limegreen","darkorange1","deeppink"),name="",
                      labels=c("-0.75954735"="1.00","-0.34214939"="2.12","0.07524857"="3.24",
                               "0.49264653"="4.36","0.91004449"="5.48","0"="Mean (2.30)"),
                      guide=guide_legend(override.aes = list(colour =NA,fill=NA)))+
  xlab("")+
  ylab(expression(paste("Mortality (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.title.x=element_blank(), axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.line.x= element_blank(), axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))+
  scale_y_continuous(breaks = c(1,2))#+
  #guides(col=FALSE)
Mort.ACMIA<-Mort.ACMIA+annotate("text",x= 1.1,y=2.8,label="ACMIA:~italic(P) == '0.660'~(italic(t)==-0.44)",parse=TRUE,size=3.5)
Mort.ACMIA<-Mort.ACMIA+annotate("text",x= 1.1,y=2.6,label="ACMIA%*%italic(S):~italic(P) == 0.024~(italic(t)==2.27)",parse=TRUE,size=3.5)
Mort.ACMIA

mcrare_nbspCAC_Pval

#NBC
coefmean<-marare_nbspCAC_summary[, 1]
SE<-marare_nbspCAC_summary[, 2]
coef_rare<-function(x){
  rare=x
  data.table(mean=coefmean["(Intercept)"]+
               (coefmean["CMI1"]*(seq(min(absk$CMI1),max(absk$CMI1),length=600)))+
               (coefmean["lograre_nbsp"]*rare)+
               (coefmean["CMI1:lograre_nbsp"]*rare*(seq(min(absk$CMI1),max(absk$CMI1),length=600))),
             up=coefmean["(Intercept)"]+SE["(Intercept)"]+
               ((coefmean["CMI1"]+SE["CMI1"])*(seq(min(absk$CMI1),max(absk$CMI1),length=600)))+
               ((coefmean["lograre_nbsp"]+SE["lograre_nbsp"])*rare)+
               ((coefmean["CMI1:lograre_nbsp"]+SE["CMI1:lograre_nbsp"])*rare*(seq(min(absk$CMI1),max(absk$CMI1),length=600))),
             low=coefmean["(Intercept)"]-SE["(Intercept)"]+
               ((coefmean["CMI1"]-SE["CMI1"])*(seq(min(absk$CMI1),max(absk$CMI1),length=600)))+
               ((coefmean["lograre_nbsp"]-SE["lograre_nbsp"])*rare)+
               ((coefmean["CMI1:lograre_nbsp"]-SE["CMI1:lograre_nbsp"])*rare*(seq(min(absk$CMI1),max(absk$CMI1),length=600))),
             CMI1=seq(min(absk$CMI1),max(absk$CMI1),length=600),
             ACMIA=seq(min(absk$CMI1),max(absk$CMI1),length=600)+mean(absk$ACMIA),
             Rare_Spec=rare)
}

to_graph<-adply(round(c(seq(min(absk$lograre_nbsp),max(absk$lograre_nbsp),length=5),0),3),.margins=1,.fun=function(x)coef_rare(x))
to_graph$Rare_Spec<-as.factor(to_graph$Rare_Spec)

Net.ACMIA<-ggplot(to_graph,aes(x=ACMIA,y=mean,col=Rare_Spec))+
  theme_classic()+
  theme(axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))+
  geom_ribbon(aes(x=ACMIA,ymin=low,ymax=up,group=Rare_Spec),fill="royalblue",col=NA,alpha=0.12)+
  geom_line(size=1.1,linetype="solid")+
  scale_colour_manual(values=c("mediumpurple","cyan1","black","limegreen","darkorange1","deeppink"),
                      name="                     ",
                      labels=c("-1.2992709"="1.00", "-0.1792709"="2.12","0.9407291"="3.25",
                               "2.0607291"="4.37","3.1807291"="5.31","0"="Mean (2.30)"),
                      guide=guide_legend(override.aes = list(colour =NA,fill=NA)))+
  xlab(expression(paste("ACMIA (cm)")))+
  ylab(expression(paste("Net biomass change (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))#+
#guides(col=FALSE)
Net.ACMIA<-Net.ACMIA+annotate("text",x= 1.1,y=3.2,label="ACMIA:~italic(P) == '0.030'~(italic(t)== 2.17)",parse=TRUE,size=3.5)
Net.ACMIA<-Net.ACMIA+annotate("text",x= 1.1,y=2.9,label="ACMIA%*%ln(italic(S)):~italic(P) == 0.003~(italic(t)==-2.95)",parse=TRUE,size=3.5)
Net.ACMIA

marare_nbspCAC_Pval

###### Bind with climate ######
##CO2##
A1 <- ggplot(absk, aes(Year, CO2))+
  stat_summary(aes(x=absk$Year, y=absk$CO2),
               fun.data = "mean_cl_boot",shape=1)+
  stat_smooth(color="royalblue3")+stat_smooth(method="lm", color="brown3") +
  labs(x="",y=expression(paste(CO[2]," (ppm)"))) +
  annotate("text",x=1980,y=375,label="italic(R^{2}) == 0.99",parse=TRUE, size=3.5)+
  annotate("text",x=1980,y=370,label="Slope == 1.396~ppm~yr^{-1}",parse=TRUE, size=3.5) 
A1<-A1+ scale_x_continuous(limits =c(1960, 2005), breaks =c(1960, 1970, 1980, 1990, 2000))
A1<-A1+  theme(axis.line.x=element_line(colour="black"),axis.line.y=element_line(colour="black"),
               panel.grid.major = element_blank(),
               panel.grid.minor = element_blank(),
               panel.border = element_blank(),
               axis.title=element_text(size=10),
               axis.text=element_text(colour="black",size=8),
               panel.background = element_blank())+guides(col=FALSE)
A1
cor(absk$CO2,absk$Year)^2
summary(lm(CO2~Year,absk))

##ATA##
C1 <- ggplot(absk, aes(Year, ATA))+
  stat_summary(aes(x=absk$Year, y=absk$ATA),
               fun.data = "mean_cl_boot",shape=1)+
  stat_smooth(color="royalblue3")+ stat_smooth(method="lm", color="brown3")+
  labs(x="",y=expression(paste("ATA ( ",degree~C,")")))+
  annotate("text",x=1985,y=1.5,label="italic(R^{2}) == 0.57", parse=TRUE, size=3.5)+
  annotate("text",x=1985,y=1.2,label="Slope == 0.038~degree~C~yr^{-1}",parse=TRUE, size=3.5)
C1<-C1+ scale_x_continuous(limits =c(1960, 2005), breaks =c(1960, 1970, 1980, 1990, 2000))
C1<-C1+  theme(axis.line.x=element_line(colour="black"),axis.line.y=element_line(colour="black"),
               panel.grid.major = element_blank(),
               panel.grid.minor = element_blank(),
               panel.border = element_blank(),
               axis.title=element_text(size=10),
               axis.text=element_text(colour="black",size=8),
               panel.background = element_blank())+guides(col=FALSE)
C1
cor(absk$ATA,absk$Year)^2
summary(lm(ATA~Year,absk))

##CMI##
absk$dummy<-rep(1,2544)
G1<-ggplot(absk, aes(Year, ACMIA, col=dummy))+
  stat_summary(aes(x=absk$Year, y=absk$ACMIA),
               fun.data = "mean_cl_boot",shape=1,col="black")+
  stat_smooth()+stat_smooth(method="lm", color="brown3")+ 
  annotate("text",x=1993,y=11,label="italic(R^{2}) == 0.038",parse=TRUE, size=3.5)+
  annotate("text",x=1993,y=9,label="Slope == -0.068~cm~yr^{-1}",parse=TRUE, size=3.5)+
  scale_color_gradientn(colours=c("royalblue3"),name="",
                        guide=guide_legend(override.aes = list(colour =NA,fill="white")))##Change colours here

G1<-G1+ labs(y="ACMIA (cm)",x="")
G1<-G1+ scale_x_continuous(limits =c(1960, 2005), breaks =c(1960, 1970, 1980, 1990, 2000))
G1<-G1+  theme(axis.line.x=element_line(colour="black"),axis.line.y=element_line(colour="black"),
               panel.grid.major = element_blank(),
               panel.grid.minor = element_blank(),
               panel.border = element_blank(),
               axis.title=element_text(size=10),
               axis.text=element_text(colour="black",size=8),
               panel.background = element_blank(),
               legend.background = element_rect(fill = "white",colour = NA),
               legend.text = element_text(colour="white"))#+
  #guides(col=FALSE)
G1
cor(absk$ACMIA,absk$Year)^2
summary(lm(ACMIA~Year,absk))

#### Bind figure 3 with climate dirivers (CO2, ATA, ACMIA) ####
rbind_gtable_max <- function(...){
  gtl <- list(...)
  stopifnot(all(sapply(gtl, is.gtable)))
  bind2 <- function (x, y) 
  {
    stopifnot(ncol(x) == ncol(y))
    if (nrow(x) == 0) 
      return(y)
    if (nrow(y) == 0) 
      return(x)
    y$layout$t <- y$layout$t + nrow(x)
    y$layout$b <- y$layout$b + nrow(x)
    x$layout <- rbind(x$layout, y$layout)
    x$heights <- gtable:::insert.unit(x$heights, y$heights)
    x$rownames <- c(x$rownames, y$rownames)
    x$widths <- grid::unit.pmax(x$widths, y$widths)
    x$grobs <- append(x$grobs, y$grobs)
    x
  }
  
  Reduce(bind2, gtl)
}

#Graphs
f1 <- ggplotGrob(A1)
f2 <- ggplotGrob(C1)
f3 <- ggplotGrob(G1)
#CO2
g1 <- ggplotGrob(Grow.CO2)
g2 <- ggplotGrob(Mort.CO2)
g3 <- ggplotGrob(Net.CO2)
#ATA
h1 <- ggplotGrob(Grow.ATA)
h2 <- ggplotGrob(Mort.ATA)
h3 <- ggplotGrob(Net.ATA)
#CMI
i1 <- ggplotGrob(Grow.ACMIA)
i2 <- ggplotGrob(Mort.ACMIA)
i3 <- ggplotGrob(Net.ACMIA)

maxWidth = unit.pmax(f1$widths[2:3], f2$widths[2:3], f3$widths[2:3])
f1$widths[2:3] <- maxWidth
f2$widths[2:3] <- maxWidth
f3$widths[2:3] <- maxWidth

maxWidth = unit.pmax(g1$widths[2:3], g2$widths[2:3], g3$widths[2:3])
g1$widths[2:3] <- maxWidth
g2$widths[2:3] <- maxWidth
g3$widths[2:3] <- maxWidth

maxWidth = unit.pmax(h1$widths[2:3], h2$widths[2:3], h3$widths[2:3])
h1$widths[2:3] <- maxWidth
h2$widths[2:3] <- maxWidth
h3$widths[2:3] <- maxWidth

maxWidth = unit.pmax(i1$widths[2:3], i2$widths[2:3], i3$widths[2:3])
i1$widths[2:3] <- maxWidth
i2$widths[2:3] <- maxWidth
i3$widths[2:3] <- maxWidth

tiff("Fig3_MULTI_climate_SiteIndex_fitme_Hossfeld.tiff",width=3100,height=3000,res=300,compression="lzw")
grid.draw(cbind(rbind(f1,g1,g2,g3,size="last"),rbind(f2,h1,h2,h3,size="last"),rbind(f3,i1,i2,i3,size="last"),size="first"))
grid.text("A",x=unit(0.015,"npc"),y=unit(0.993,"npc"),gp=gpar(fontsize=14,font=2))
grid.text("B",x=unit(0.017,"npc"),y=unit(0.725,"npc"),gp=gpar(fontsize=14,font=2))
grid.text("C",x=unit(0.31,"npc"),y=unit(0.725,"npc"),gp=gpar(fontsize=14,font=2))
grid.text("D",x=unit(0.60,"npc"),y=unit(0.725,"npc"),gp=gpar(fontsize=14,font=2))
grid.lines(x = unit(c(0,1), "npc"),y = unit(c(0.745, 0.745), "npc"),default.units = "npc")
grid.text("L",x=unit(0.98,"npc"),y=unit(0.9,"npc"),gp=gpar(fontsize=250,font=2,col="white"))#to cover the grey square appearing
dev.off()
