#ST and total_Bio (alternatives to account for stand packing and sp comp)
absk[,logBA:=scale(log(total_BA1),center=T,scale=F)]
absk[,logBio:=scale(log(total_Bio1),center=T,scale=F)]
absk[,total_Bio2:=total_Bio^2]

absk$logST1<-log(absk$SpST1)
absk$logST<-scale(absk$logST1,center=TRUE,scale=FALSE)
absk$sqrtST1<-sqrt(absk$SpST1)
absk$sqrtST<-scale(absk$sqrtST1,center=TRUE,scale=FALSE)
absk[,SpST2:=SpST*SpST]

#Model
load("fitme_Year_Grow_ST.R")
load("fitme_Year_Mort_ST.R")
load("fitme_Year_NBC_ST.R")

mbrare_nbspST_Pval<-summary(mbrare_nbspST)$beta_table
Pval<-2*pt(-abs(mbrare_nbspST_Pval[,"t-value"]), df=2544-(871+681+9+1)) %>% as.data.frame()
mbrare_nbspST_Pval<-as.data.frame(mbrare_nbspST_Pval)
mbrare_nbspST_Pval$Pval<-Pval[[1]]
colnames(mbrare_nbspST_Pval)<-c("Estimbte","Cond.SE","t-value","p-value")
mbrare_nbspST_Pval

mcrare_nbspST_Pval<-summary(mcrare_nbspST)$beta_table
Pval<-2*pt(-abs(mcrare_nbspST_Pval[,"t-value"]), df=2544-(871+681+9+1)) %>% as.data.frame()
mcrare_nbspST_Pval<-as.data.frame(mcrare_nbspST_Pval)
mcrare_nbspST_Pval$Pval<-Pval[[1]]
colnames(mcrare_nbspST_Pval)<-c("Estimcte","Cond.SE","t-value","p-value")
mcrare_nbspST_Pval

marare_nbspST_Pval<-summary(marare_nbspST)$beta_table
Pval<-2*pt(-abs(marare_nbspST_Pval[,"t-value"]), df=2544-(871+681+9+1)) %>% as.data.frame()
marare_nbspST_Pval<-as.data.frame(marare_nbspST_Pval)
marare_nbspST_Pval$Pval<-Pval[[1]]
colnames(marare_nbspST_Pval)<-c("Estimate","Cond.SE","t-value","p-value")
marare_nbspST_Pval

#Table S4
coefmbrare_nbspST<-mbrare_nbspST_Pval[,1]
coefmcrare_nbspST<-mcrare_nbspST_Pval[,1]
coefmarare_nbspST<-marare_nbspST_Pval[,1]
SEmbrare_nbspST<-mbrare_nbspST_Pval[,2]
SEmcrare_nbspST<-mcrare_nbspST_Pval[,2]
SEmarare_nbspST<-marare_nbspST_Pval[,2]

TS3<-data.table(Source=c(rownames(mbrare_nbspST_Pval),rownames(mcrare_nbspST_Pval),rownames(marare_nbspST_Pval)),
                coef=NA,Tval=NA,Pval=NA)

TS3$coef<-c(c(paste(round(coefmbrare_nbspST,digits=3)," } ",round(SEmbrare_nbspST,digits=3))),
            c(paste(round(coefmcrare_nbspST,digits=3)," } ",round(SEmcrare_nbspST,digits=3))),
            c(paste(round(coefmarare_nbspST,digits=3)," } ",round(SEmarare_nbspST,digits=3))))

TS3$Tval<-c(round(mbrare_nbspST_Pval[,3],digits=3),
            round(mcrare_nbspST_Pval[,3],digits=3),
            round(marare_nbspST_Pval[,3],digits=3))

TS3$Pval<-c(round(mbrare_nbspST_Pval[,4],digits=3),
            round(mcrare_nbspST_Pval[,4],digits=3),
            round(marare_nbspST_Pval[,4],digits=3))

TS3$Pval<-ifelse(TS3$Pval<0.001,"< 0.001",TS3$Pval)

View(TS3)
