## Growth
newdat_mb_SA_SI<-absk[,.(AGBGI,logSA,SI_WS2,Plotnumber,wi,LAT,LONG)]
mbrare_nbsp_SA_SI<-fitme(AGBGI~logSA+SI_WS2+(1|Plotnumber)+
                           Matern(1|LAT+LONG),prior.weights=wi,data=newdat_mb_SA_SI,
                         verbose=c(TRACE=TRUE))
#save(mbrare_nbsp_SA_SI,file="fitme_Year_Grow_seq.R")
load("fitme_Year_Grow_seq.R")

mbrare_nbsp_SA_SI_Pval<-summary(mbrare_nbsp_SA_SI)$beta_table

#Add Pvalue
summary(mbrare_nbsp_SA_SI)# of obs: 2544; # of groups: Plotnumber, 871; LONG + LAT, 681
#and 2 fixed terms + 1 residual
Pval<-2*pt(-abs(mbrare_nbsp_SA_SI_Pval[,"t-value"]), df=2544-(871+681+2+1)) %>% as.data.frame()
mbrare_nbsp_SA_SI_Pval<-as.data.frame(mbrare_nbsp_SA_SI_Pval)
mbrare_nbsp_SA_SI_Pval$Pval<-Pval[[1]]
colnames(mbrare_nbsp_SA_SI_Pval)<-c("Estimate","Cond.SE","t-value","p-value")
mbrare_nbsp_SA_SI_Pval

mbrare_nbsp_resid1<-lm(resid(mbrare_nbsp_SA_SI)~Y+lograre_nbsp+(logSA:Y)+(logSA:lograre_nbsp)+(Y:lograre_nbsp),
                       weights=wi,absk)#Use residual, with SA interactions
coef(summary(mbrare_nbsp_resid1))

## Mortality
newdat_mc_SA_SI<-absk[,.(AGBM,logSA,SI_WS2,Plotnumber,wi,LAT,LONG)]
mcrare_nbsp_SA_SI<-fitme(AGBM~logSA+SI_WS2+(1|Plotnumber)+
                           Matern(1|LAT+LONG),prior.weights=wi,data=newdat_mc_SA_SI,
                         verbose=c(TRACE=TRUE))
#save(mcrare_nbsp_SA_SI,file="fitme_Year_Mort_seq.R")
load("fitme_Year_Mort_seq.R")

mcrare_nbsp_SA_SI_Pval<-summary(mcrare_nbsp_SA_SI)$beta_table

#Add Pvalue
summary(mcrare_nbsp_SA_SI)# of obs: 2544; # of groups: Plotnumber, 871; LONG + LAT, 681
#and 2 fixed terms + 1 residual
Pval<-2*pt(-abs(mcrare_nbsp_SA_SI_Pval[,"t-value"]), df=2544-(871+681+2+1)) %>% as.data.frame()
mcrare_nbsp_SA_SI_Pval<-as.data.frame(mcrare_nbsp_SA_SI_Pval)
mcrare_nbsp_SA_SI_Pval$Pval<-Pval[[1]]
colnames(mcrare_nbsp_SA_SI_Pval)<-c("Estimate","Cond.SE","t-value","p-value")
mcrare_nbsp_SA_SI_Pval

mcrare_nbsp_resid1<-lm(resid(mcrare_nbsp_SA_SI)~Y+Sprare_nbsp+(logSA:Y)+(logSA:Sprare_nbsp)+(Y:Sprare_nbsp),
                       weights=wi,absk)#Use residual, with SA interactions
coef(summary(mcrare_nbsp_resid1))

## Net biomass change
newdat_ma_SA_SI<-absk[,.(AGB,logSA,SI_WS2,Plotnumber,wi,LAT,LONG)]
marare_nbsp_SA_SI<-fitme(AGB~logSA+SI_WS2+(1|Plotnumber)+
                           Matern(1|LAT+LONG),prior.weights=wi,data=newdat_ma_SA_SI,
                         verbose=c(TRACE=TRUE))
#save(marare_nbsp_SA_SI,file="fitme_Year_NBC_seq.R")
load("fitme_Year_NBC_seq.R")

marare_nbsp_SA_SI_Pval<-summary(marare_nbsp_SA_SI)$beta_table

#Add Pvalue
summary(marare_nbsp_SA_SI)# of obs: 2544; # of groups: Plotnumber, 871; LONG + LAT, 681
#and 2 fixed terms + 1 residual
Pval<-2*pt(-abs(marare_nbsp_SA_SI_Pval[,"t-value"]), df=2544-(871+681+2+1)) %>% as.data.frame()
marare_nbsp_SA_SI_Pval<-as.data.frame(marare_nbsp_SA_SI_Pval)
marare_nbsp_SA_SI_Pval$Pval<-Pval[[1]]
colnames(marare_nbsp_SA_SI_Pval)<-c("Estimate","Cond.SE","t-value","p-value")
marare_nbsp_SA_SI_Pval

marare_nbsp_resid1<-lm(resid(marare_nbsp_SA_SI)~Y+lograre_nbsp+(logSA:Y)+(logSA:lograre_nbsp)+(Y:lograre_nbsp),
                       weights=wi,absk)#Use residual, with SA interactions
coef(summary(marare_nbsp_resid1))

####### Make table ######
#Sequential model SA SI
coefmbrare_nbsp_SA_SI<-mbrare_nbsp_SA_SI_Pval[,1]
coefmcrare_nbsp_SA_SI<-mcrare_nbsp_SA_SI_Pval[,1]
coefmarare_nbsp_SA_SI<-marare_nbsp_SA_SI_Pval[,1]
SEmbrare_nbsp_SA_SI<-mbrare_nbsp_SA_SI_Pval[,2]
SEmcrare_nbsp_SA_SI<-mcrare_nbsp_SA_SI_Pval[,2]
SEmarare_nbsp_SA_SI<-marare_nbsp_SA_SI_Pval[,2]

Table_SA_SI<-data.table(Source=c(rownames(mbrare_nbsp_SA_SI_Pval),
                                 rownames(mcrare_nbsp_SA_SI_Pval),
                                 rownames(marare_nbsp_SA_SI_Pval)),
                                 coef=NA,Tval=NA,Pval=NA)

Table_SA_SI$coef<-c(c(paste(round(coefmbrare_nbsp_SA_SI,digits=3)," } ",round(SEmbrare_nbsp_SA_SI,digits=3))),
                    c(paste(round(coefmcrare_nbsp_SA_SI,digits=3)," } ",round(SEmcrare_nbsp_SA_SI,digits=3))),
                    c(paste(round(coefmarare_nbsp_SA_SI,digits=3)," } ",round(SEmarare_nbsp_SA_SI,digits=3))))

Table_SA_SI$Tval<-c(c(round(mbrare_nbsp_SA_SI_Pval[,3],digits=3)),
                    c(round(mcrare_nbsp_SA_SI_Pval[,3],digits=3)),
                    c(round(marare_nbsp_SA_SI_Pval[,3],digits=3)))

Table_SA_SI$Pval<-c(c(round(mbrare_nbsp_SA_SI_Pval[,4],digits=3)),
                    c(round(mcrare_nbsp_SA_SI_Pval[,4],digits=3)),
                    c(round(marare_nbsp_SA_SI_Pval[,4],digits=3)))

Table_SA_SI$Pval<-ifelse(Table_SA_SI$Pval<0.001,"<0.001",Table_SA_SI$Pval)

View(Table_SA_SI)

#Residualmodel,withSAinteractions
coefmbrare_nbsp_resid1<-coef(summary(mbrare_nbsp_resid1))[,1]
coefmcrare_nbsp_resid1<-coef(summary(mcrare_nbsp_resid1))[,1]
coefmarare_nbsp_resid1<-coef(summary(marare_nbsp_resid1))[,1]
SEmbrare_nbsp_resid1<-coef(summary(mbrare_nbsp_resid1))[,2]
SEmcrare_nbsp_resid1<-coef(summary(mcrare_nbsp_resid1))[,2]
SEmarare_nbsp_resid1<-coef(summary(marare_nbsp_resid1))[,2]

Table_resid1<-data.table(Source=c(rownames(coef(summary(mbrare_nbsp_resid1))),
                                  rownames(coef(summary(mcrare_nbsp_resid1))),
                                  rownames(coef(summary(marare_nbsp_resid1)))),
coef=NA,Tval=NA,Pval=NA)

Table_resid1$coef<-c(c(paste(round(coefmbrare_nbsp_resid1,digits=3),"}",round(SEmbrare_nbsp_resid1,digits=3))),
                     c(paste(round(coefmcrare_nbsp_resid1,digits=3),"}",round(SEmcrare_nbsp_resid1,digits=3))),
                     c(paste(round(coefmarare_nbsp_resid1,digits=3),"}",round(SEmarare_nbsp_resid1,digits=3))))

Table_resid1$Tval<-c(round(coef(summary(mbrare_nbsp_resid1))[,3],digits=3),
                     round(coef(summary(mcrare_nbsp_resid1))[,3],digits=3),
                     round(coef(summary(marare_nbsp_resid1))[,3],digits=3))

Table_resid1$Pval<-c(round(coef(summary(mbrare_nbsp_resid1))[,4],digits=3),
                     round(coef(summary(mcrare_nbsp_resid1))[,4],digits=3),
                     round(coef(summary(marare_nbsp_resid1))[,4],digits=3))

Table_resid1$Pval<-ifelse(Table_resid1$Pval<0.001,"<0.001",Table_resid1$Pval)

View(Table_resid1)

#Originalmodel
coefmbrare_nbsp<-summary(mbrare_nbsp)$co[,1]
coefmcrare_nbsp<-summary(mcrare_nbsp)$co[,1]
coefmarare_nbsp<-summary(marare_nbsp)$co[,1]
SEmbrare_nbsp<-summary(mbrare_nbsp)$co[,2]
SEmcrare_nbsp<-summary(mcrare_nbsp)$co[,2]
SEmarare_nbsp<-summary(marare_nbsp)$co[,2]

Table<-data.table(Source=c(rownames(summary(mbrare_nbsp)$co),
rownames(summary(mcrare_nbsp)$co),
rownames(summary(marare_nbsp)$co)),
coef=NA,P=NA)

Table$coef<-c(c(paste(round(coefmbrare_nbsp,digits=3),"}",round(SEmbrare_nbsp,digits=3))),
c(paste(round(coefmcrare_nbsp,digits=3),"}",round(SEmcrare_nbsp,digits=3))),
c(paste(round(coefmarare_nbsp,digits=3),"}",round(SEmarare_nbsp,digits=3))))

Table$P<-c(round(summary(mbrare_nbsp)$co[,5],digits=3),
round(summary(mcrare_nbsp)$co[,5],digits=3),
round(summary(marare_nbsp)$co[,5],digits=3))

Table$P<-ifelse(Table$P<0.001,"<0.001",Table$P)

View(Table)
